/*
$Log: eff4.C,v $
Revision 1.3  2001/04/02 14:51:39  schneide
Use of global header file for fit settings

*/

#include "../global.h"

#define MODULE "eff4"

void eff4()
{
  Char_t TitleString[120];
  sprintf(TitleString, "AliTRDnh_%s (%s, %s)", MODULE, CONFIGURATION, DATE);

  TStyle *mystyle = new TStyle("Default", "Default Style");
  Int_t ncolors = 1;
  Int_t *colors = NULL;
  mystyle->SetPalette(ncolors, colors);
  mystyle->cd();

  TCanvas *c1 = new TCanvas("c1", "Config_bv.C", 100, 10, 600, 400); c1->Draw();
  TPad *ptitle1 = new TPad("ptitle1", "ptitle1", 0.01, 0.95, 0.99, 0.99); ptitle1->Draw();
  ptitle1->cd(); TPaveLabel *pltitle1 = new TPaveLabel(0.0, 0.0, 1.0, 1.0, TitleString); pltitle1->Draw();
  c1->cd(); TPad *phisto1 = new TPad("phisto1", "phisto1", 0.01, 0.01, 0.99, 0.94);
  phisto1->Draw(); phisto1->Divide(1,1);

  TFile *fp = new TFile("./histo_eff4.root");

  phisto1->cd(1);
  TH1F *h1_1_1 = new TH1F();
  h1_1_1->Read("h1_1_1");
  TH1F *h1_1_2 = new TH1F();
  h1_1_2->Read("h1_1_2");
  TH1F *h1_1_3 = new TH1F();
  h1_1_3->Read("h1_1_3");
  TH1F *h1_1_4 = new TH1F();
  h1_1_4->Read("h1_1_4");
  h1_1_1->SetLineWidth(3); h1_1_1->SetLineColor(2); h1_1_1->SetStats(FALSE); h1_1_1->Draw();
  h1_1_2->SetLineWidth(3); h1_1_2->SetLineColor(4); h1_1_2->SetStats(FALSE); h1_1_2->Draw("same");
  h1_1_3->SetLineWidth(3); h1_1_3->SetLineColor(6); h1_1_3->SetStats(FALSE); h1_1_3->Draw("same");
  h1_1_4->SetLineWidth(3); h1_1_4->SetLineColor(7); h1_1_4->SetStats(FALSE); h1_1_4->Draw("same");
  c1->SaveAs("./sim_results/sim_eff4_h1_1_1.ps");
  c1->SaveAs("./sim_results/sim_eff4_h1_1_1.gif");
  delete h1_1_1;
  delete h1_1_2;
  delete h1_1_3;
  delete h1_1_4;

  delete c1;
}
