void load_histo_row()
{
  const Char_t *TitleString = "AliTRDnh_row (Config_nh_z.C, hijingParam, gain: 16000, pt>=0.5, 2000-12-12)";

  TCanvas *c1 = new TCanvas("c1", "Config_nh.C", 100, 10, 600, 800); c1->Draw();
  TPad *ptitle1 = new TPad("ptitle1", "ptitle1", 0.01, 0.95, 0.99, 0.99); ptitle1->Draw();
  ptitle1->cd(); TPaveLabel *pltitle1 = new TPaveLabel(0.0, 0.0, 1.0, 1.0, TitleString); pltitle1->Draw();
  c1->cd(); TPad *phisto1 = new TPad("phisto1", "phisto1", 0.01, 0.01, 0.99, 0.94);
  phisto1->Draw(); phisto1->Divide(1,2);

  TFile *fp = new TFile("./histo_row.root");

  phisto1->cd(1);
  TH1F *h1 = new TH1F();
  h1->Read("h1_6");
  h1->Draw();

  phisto1->cd(2);
  TH1F *h2 = new TH1F();
  h2->Read("h1_7");
  h2->Draw();

}
