#! /usr/bin/perl
############################################################
# greps the 32 Bit words out of an output file of the
# ni_sniffer module. The output is one 32 Bit word per
# line with the format '0x1A2B3C4D' (HEX format).
############################################################

if(!($filename = $ARGV[0])) {
  print("usage: grep_words.pl <filename>\n");
  exit 0;
}

if(!(open(FH, "<$filename"))) {
  print("ERROR: cannot open file '${filename}'.\n");
  exit 0;
}

while(<FH>) {
  $inline = $_;
  if($inline =~ /0x(.{8}).*/) {
    print "0x".$1."\n";
  }
}

exit 0;
