######################################################
#                                                    #
#  Silicon Perspective, A Cadence Company            #
#  FirstEncounter IO Assignment                      #
#                                                    #
######################################################

Version: 1

#### work area



### end of work area

######################################################
# TOP
######################################################

#
# There cannot be any pads here as the entier TOP of the chip is the full
# custom ADC block
#

Pad: PADROW_B S BPADSB
Pad: PADROW_L S BPADSL
Pad: PADROW_R S BPADSR

# block the entire top of the design for the Tielert ADC
#Keepclear: N 0.0 4500
#Keepclear: N 0.0 10000

######################################################
# BOTTOM
######################################################

#
# Order is from left to right
#

# keep some extra space w.r.t. corner for power pads
#Keepclear: S 0.0 370 

Pad: corner_ll SW CORNER

# X-Coordinate: 550

# ID_PAD is fuse ID, located in corner. It does not have PADs and therefore
# does not require spacing
Skip: 5
Pad: ID_PAD S
Skip: 14.5

# X-Coordinate: 610

Pad: GND_IOS0 S VV0IO
Skip: 15
Pad: PWR_IOS0 S VV3IO
Skip: 15

Pad: NIP4_D2 S
Skip: 30

Pad: NIP2_D4 S
Skip: 30

Pad: GND_IOS1 S VV0IO
Skip: 15
Pad: PWR_IOS1 S VV3IO
Skip: 15

Pad: NIP2_D5 S
Skip: 30

# X-Coordinate: 940

Pad: GNDS1 S VVSS
Skip: 15
Pad: PWRS1 S VVDD
Skip: 15

Pad: NIP4_D1 S
Skip: 30

Pad: NIP2_D6 S
Skip: 30

Pad: GNDS2 S VVSS
Skip: 15
Pad: PWRS2 S VVDD
Skip: 15

Pad: NIP2_D7 S
Skip: 30

# X-Coordinate: 940

Pad: GND_IOS2 S VV0IO
Skip: 15
Pad: PWR_IOS2 S VV3IO
Skip: 15

Pad: NIP4_D0 S
Skip: 30

Pad: GND_DM1 S VVSS
Skip: 15
Pad: VDD_DM1 S VVDD_DM
Skip: 15

Pad: NIP2_D8 S
Skip: 30

# X-Coordinate: 1490

Pad: GND_IOS3 S VV0IO
Skip: 15
Pad: PWR_IOS3 S VV3IO
Skip: 15

Pad: NIP2_D9 S
Skip: 30

Pad: NIP0_D0 S
Skip: 30

Pad: GNDS3 S VVSS
Skip: 15
Pad: PWRS3 S VVDD
Skip: 15

# X-Coordinate: 2040

Pad: NIP2_CTL S
Skip: 30

Pad: NIP2_STB S
Skip: 30

Pad: GND_IOS4 S VV0IO
Skip: 15
Pad: PWR_IOS4 S VV3IO
Skip: 15

Pad: GND_DM2 S VVSS
Skip: 15
Pad: VDD_DM2 S VVDD_DM
Skip: 15

Pad: NIP0_D1 S
Skip: 30

# X-Coordinate: 2590

Pad: NIP2_PTRGO S
Skip: 30
Pad: NIP0_D2 S
Skip: 30

Pad: NIP2_CLKO S
Skip: 30

Pad: GNDS4 S VVSS
Skip: 15
Pad: PWRS4 S VVDD
Skip: 15

Pad: NIP0_D3 S
Skip: 30

Pad: NIP1_D0 S
Skip: 30

# X-Coordinate: 3140

Pad: GND_IOS5 S VV0IO
Skip: 15
Pad: PWR_IOS5 S VV3IO
Skip: 15

Pad: NIP1_D1 S
Skip: 30

Pad: GNDS5 S VVSS
Skip: 15
Pad: PWRS5 S VVDD
Skip: 15

Pad: NIP0_D4 S
Skip: 30

Pad: NIP1_D2 S
Skip: 30

# X-Coordinate: 3690

Pad: PWR_IOS6 S VV3IO
Skip: 15
Pad: GND_IOS6 S VV0IO
Skip: 15

# this skip is required in order to center the PADs between the Corners
Skip: 19.5

Pad: corner_lr SE CORNER

# keep some extra space w.r.t. corner for power pads
#Keepclear: S 4130 4500
#Keepclear: S 4130 10000


######################################################
# WEST
######################################################

#
# Order is from bottom to top

# keep some extra space w.r.t. corner for power pads
#Keepclear: W 0.0 370

# Y-Coordinate: 550

# make coordinates even
Skip: 0.5 

Skip: 10
Pad: GNDW0 W VVSS
Skip: 15
Pad: PWRW0 W VVDD
Skip: 5

Pad: NIP2_D3 W
Skip: 30

Pad: GND_IOW0 W VV0IO
Skip: 15
Pad: PWR_IOW0 W VV3IO
Skip: 15

Pad: NIP2_D2 W
Skip: 30

Pad: PWRW1 W VVDD
Skip: 15
Pad: GNDW1 W VVSS
Skip: 15

# Y-Coordinate: 1100


Pad: NIP4_D3 W
Skip: 30

Pad: NIP2_D1 W
Skip: 30

Pad: NIP2_D0 W
Skip: 30

Pad: NIP3_D0 W
Skip: 30

Pad: GND_IOW1 W VV0IO
Skip: 15
Pad: PWR_IOW1 W VV3IO
Skip: 15

# X-Coordinate: 3690

Pad: PLL480 W
Skip: 30

Pad: CLK_DIG_IN W
Skip: 30

Pad: GNDW2 W VVSS
Skip: 15
Pad: PWRW2 W VVDD
Skip: 15

Pad: PSEL_CLK3 W
Skip: 15
Pad: PSEL_CLK2 W
Skip: 15

Pad: NIP4_D4 W
Skip: 30

# Y-Coordinate: 1650

Pad: PSEL_CLK1 W
Skip: 15 
Pad: PSEL_CLK0 W
Skip: 15

Pad: GND_IOW2 W VV0IO
Skip: 15
Pad: PWR_IOW2 W VV3IO
Skip: 15

Pad: GNDW3 W VVSS
Skip: 15
Pad: PWRW3 W VVDD
Skip: 15

Pad: NIP4_D5 W
Skip: 30

Pad: NIP3_D1 W
Skip: 30

# Y-Coordinate: 2200

Pad: NIP3_D2 W
Skip: 30

Pad: NIP4_D6 W
Skip: 30

Pad: NIP3_D3 W
Skip: 30

Pad: GNDW4 W VVSS
Skip: 15
Pad: PWRW4 W VVDD
Skip: 15

Pad: NIP4_D7 W
Skip: 30

# Y-Coordinate: 2750

Pad: NIP3_D4 W
Skip: 30

Pad: GND_IOW3 W VV0IO
Skip: 15
Pad: PWR_IOW3 W VV3IO
Skip: 15

Pad: NIP3_D5 W
Skip: 30

Pad: NIP4_D8 W
Skip: 30

Pad: GNDW5 W VVSS
Skip: 15
Pad: PWRW5 W VVDD
Skip: 15

# Y-Coordinate: 3300

Pad: NIP3_D6 W
Skip: 30

Pad: NIP3_D7 W
Skip: 30

Pad: GND_IOW4 W VV0IO
Skip: 15
Pad: PWR_IOW4 W VV3IO
Skip: 15

Pad: NIP3_D8 W
Skip: 30

Pad: NIP4_D9 W
Skip: 30

# Y-Coordinate: 3850

Pad: GNDW6 W VVSS
Skip: 15
Pad: PWRW6 W VVDD
Skip: 15

Pad: NIP4_CTL W
Skip: 30

Pad: NIP3_D9 W
Skip: 30

Pad: NIP3_CTL W
Skip: 30

Pad: GND_IOW5 W VV0IO
Skip: 15
Pad: PWR_IOW5 W VV3IO
Skip: 15

# Y-Coordinate: 4400

Pad: NIP4_STB W
Skip: 30

Pad: NIP3_STB W
Skip: 30

Pad: NIP3_PTRGO W
Skip: 30

# this is basically NIP4_PTRGI
Pad: PTRG_IN W
Skip: 30

Pad: GNDW7 W VVSS
Skip: 15
Pad: PWRW7 W VVDD
Skip: 15

# Y-Coordinate: 4950

Pad: NIP3_CLKO W
Skip: 30

Pad: PWR_IOW6 W VV3IO
Skip: 15
Pad: GND_IOW6 W VV0IO
Skip: 15

# move this as close as possible to ADC block as this is ADC ref. clock input
# This is also NIP4_CLKI
Pad: CLK_ADC_IN W
Skip: 30

# just to allign power pads on top properly - THIS IS PADDING ONLY
Skip: 69  

Pad: PWRW8 W VVDD
Skip: 15
Pad: GNDW8 W VVSS
Skip: 15

# Y-Coordinate: 5500

# get 5 um keep clear before ADC
Pad: ADCgapW W FILLER5

# keep some extra space w.r.t. ADC - need some routing space up there 
#Keepclear: W 5980 7400


######################################################
# EAST
######################################################

#
# Order is from bottom to top

#Keepclear: E 0.0 370

# Y-Coordinate: 550

# make coordinates even
Skip: 0.5 

Skip: 15
Pad: GNDE0 E VVSS
Skip: 10
Pad: PWRE0 E VVDD
Skip: 5

Pad: NIP1_D3 E
Skip: 30

Pad: NIP0_D5 E
Skip: 30

Pad: NIP1_D4 E
Skip: 30

Pad: GND_IOE0 E VV0IO
Skip: 15
Pad: PWR_IOE0 E VV3IO
Skip: 15

# Y-Coordinate: 1100

Pad: NIP0_D6 E
Skip: 30

Pad: GNDE1 E VVSS
Skip: 15
Pad: PWRE1 E VVDD
Skip: 15

Pad: NIP0_D7 E
Skip: 30

Pad: NIP0_D8 E
Skip: 30

Pad: GND_IOE1 E VV0IO
Skip: 15
Pad: PWR_IOE1 E VV3IO
Skip: 15

# Y-Coordinate: 1650

Pad: NIP_CTL E
Skip: 30

Pad: PWRE2 E VVDD
Skip: 15
Pad: GNDE2 E VVSS
Skip: 15

Pad: NIP1_D5 E
Skip: 30

Pad: NIP0_D9 E
Skip: 30

Pad: GND_IOE2 E VV0IO
Skip: 15
Pad: PWR_IOE2 E VV3IO
Skip: 15

# Y-Coordinate: 2200

Pad: NIP1_D6 E
Skip: 30

Pad: NIP0_CTL E
Skip: 30

Pad: GNDE3 E VVSS
Skip: 15
Pad: PWRE3 E VVDD
Skip: 15

Pad: NIP1_D7 E
Skip: 30

Pad: NIP1_D8 E
Skip: 30

# Y-Coordinate: 2200

Pad: GND_IOE3 E VV0IO
Skip: 15
Pad: PWR_IOE3 E VV3IO
Skip: 15

Pad: NIP0_STB E
Skip: 30

Pad: NIP1_D9 E
Skip: 30

Pad: PWRE4 E VVDD
Skip: 15
Pad: GNDE4 E VVSS
Skip: 15

Pad: NIP1_CTL E
Skip: 30

# Y-Coordinate: 2750

Pad: NIP0_PTRGO E
Skip: 30

Pad: GND_IOE4 E VV0IO
Skip: 15
Pad: PWR_IOE4 E VV3IO
Skip: 15

Pad: GNDE5 E VVSS
Skip: 15
Pad: PWRE5 E VVDD
Skip: 15

Pad: NIP1_STB E
Skip: 30

Pad: NIP1_PTRGO E
Skip: 30

# Y-Coordinate: 3300

Pad: NIP0_CLKO E
Skip: 30

Pad: GNDE6 E VVSS
Skip: 15
Pad: PWRE6 E VVDD
Skip: 15

Pad: NIP1_CLKO E
Skip: 30

Pad: GND_IOE5 E VV0IO
Skip: 15
Pad: PWR_IOE5 E VV3IO
Skip: 15

Pad: SCSN0_DO E
Skip: 30

# Y-Coordinate: 3850

Pad: GNDE7 E VVSS
Skip: 15
Pad: PWRE7 E VVDD
Skip: 15

Pad: SCSN1_DO E
Skip: 30

Pad: SCSN0_DI E
Skip: 30

Pad: SCSN1_DI E
Skip: 30

Pad: GND_IOE6 E VV0IO
Skip: 15
Pad: PWR_IOE6 E VV3IO
Skip: 15

# Y-Coordinate: 4400

Pad: PIRQEXT E
Skip: 70

Pad: PTDI E
Skip: 15
Pad: POUT_RNG E
Skip: 15

Pad: PRESETN E
Skip: 70

Pad: PTDO E
Skip: 70

Pad: PWRE8 E VVDD
Skip: 15
Pad: GNDE8 E VVSS
Skip: 15

# Y-Coordinate: 4950

Pad: PTCK E
Skip: 70

# one 3.3V power pair for direct support of CLK LVDS input
Pad: GND_IOE7 E VV0IO
Skip: 15
Pad: PWR_IOE7 E VV3IO
Skip: 15

Pad: PTMS E
Skip: 70

# PADDING 
Skip: 124

Pad: PWRE9 E VVDD
Skip: 15
Pad: GNDE9 E VVSS

# Y-Coordinate: 5500

# get 5 um keep clear before ADC
Pad: ADCgapE E FILLER5

# keep some extra space w.r.t. ADC - need some routing space up there 
#Keepclear: E 5980 7400
