encMessage warning 0
encMessage debug 0
encMessage info 0
restoreDesign ./OUTPUT/ENC/RouteF2GDSout.enc.dat top_pad 1 1 0
setDrawMode fplan
encMessage warning 1
encMessage debug 0
encMessage info 1
fit

#
# first the best case timing
#

setUIVar rda_Input ui_delay_limit 1000000
setUIVar rda_Input ui_captbl_file CAP_TECH/umc_logic18_1p6m.basic_capTbl
setUIVar rda_Input ui_cap_scale 1.1533
commitConfig

source SCRIPTS/setOpCond_bc.tcl
setAnalysisMode -setup -noAsync -skew -autoDetectClockTree

# Extraction:
setExtractRCMode -default
extractRC -outfile OUTPUT/EXTRACTION/BASIC/top_pad_final_bc.cap
rcOut -setload OUTPUT/EXTRACTION/BASIC/top_pad_final_bc.setload
rcOut -setres OUTPUT/EXTRACTION/BASIC/top_pad_final_bc.setres
rcOut -spef OUTPUT/EXTRACTION/BASIC/top_pad_final_bc.spef

# this file grows beyond 2GB and cannot be produced on linux - use solaris
#rcOut -spf OUTPUT/EXTRACTION/BASIC/top_pad_final_bc.spf


# Delay calculation:
delayCal -sdf OUTPUT/TIMING/BASIC/top_pad_final_bc.sdf

# Timing analysis:
setOpCond {}
setAnalysisMode -setup -async -skew -autoDetectClockTree
buildTimingGraph
reportClock

# Generate report file (short version)
reportSlacks -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.slk

# Generate report file (long version)
reportViolation -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.tarpt -num 10000

# Generate report file for transition violations
reportTranViolation -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.tran -noGlobalNets -excNetFile ./CFG/TranExcl.ntf

# Generate report file (clock info)
reportClock -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.clkinfo

# Generate report file (timing library)
reportTimingLib -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.talib

# Generate report file (cell footprint)
reportFootPrint -outfile ./REPORTS/TIMING/BASIC/top_pad_final_bc.cfp

exit
