#
# since the router is called multiple times this script sets the default 
# environment
#

setNanoRouteMode -quiet drouteFixAntenna true
setNanoRouteMode -quiet routeInsertAntennaDiode false
setNanoRouteMode -quiet routeAntennaCellName "ANT"
setNanoRouteMode -quiet routeAntennaPinLimit 1000000
setNanoRouteMode -quiet routeWithTimingDriven true
setNanoRouteMode -quiet routeWithTimingOpt true
# play with the gate sizing and buffer insertion parameter in order to see 
# wheter this helps the max tran violations
setNanoRouteMode -quiet optimizeBi false
setNanoRouteMode -quiet optimizeGs false
setNanoRouteMode -quiet optimizeFixSetupTime true
setNanoRouteMode -quiet optimizeTargetSetupSlack 0.500000
setNanoRouteMode -quiet optimizeFixMaxCap true
setNanoRouteMode -quiet optimizeFixHoldTime true
setNanoRouteMode -quiet optimizeTargetHoldSlack 0.500000
setNanoRouteMode -quiet optimizeFixMaxTran true
setNanoRouteMode -quiet optimizeDontUseCellFile default
setNanoRouteMode -quiet routeWithSiDriven true
setNanoRouteMode -quiet routeSiEffort min
setNanoRouteMode -quiet siNoiseCTotalThreshold 0.050000
setNanoRouteMode -quiet siNoiseCouplingCapThreshold 0.005000
setNanoRouteMode -quiet routeWithSiPostRouteFix false
setNanoRouteMode -quiet routeSelectedNetOnly false
setNanoRouteMode -quiet routeFixPrewire false
setNanoRouteMode -quiet drouteStartIteration default
# each router uses 1.4 GB - 4 routers just create more swapping
setNanoRouteMode -quiet envNumberProcessor 3
setNanoRouteMode -quiet routeTopRoutingLayer default
setNanoRouteMode -quiet drouteEndIteration default

setNanoRouteMode -quiet drouteUseMinSpacingForBlockage false
setNanoRouteMode -quiet drouteAutoStop false

setNanoRouteMode -quiet drouteHonorMinFeature true
setNanoRouteMode -quiet RouteAutoGgrid true

setNanoRouteMode -quiet OptimizeFixHoldTime true

#setNanoRouteMode -quiet RouteSiEffort normal
setNanoRouteMode -quiet RouteWithSiPostRouteFix false

deselectAll
setNanoRouteMode routeSelectedNetOnly false
