set data style linespoints
set xlabel "selected delay"
set ylabel "delay (ns)"
#set title "Programmable output delays for bc, typ and wc operating conditions"
set key outside
set terminal postscript eps color
set output "./OUTPUT/p4.eps"
plot "./REPORTS/p4_wc.txt"  using  ($1) title	 "ctrl_wc" 1 2, \
     "./REPORTS/p4_wc.txt"  using  ($2) title  "strobe_wc" 4, \
     "./REPORTS/p4_wc.txt"  using  ($3) title "d[9..0]_wc" 1, \
     "./REPORTS/p4_wc.txt"  using  ($4) notitle 1, \
     "./REPORTS/p4_wc.txt"  using  ($5) notitle 1, \
     "./REPORTS/p4_wc.txt"  using  ($6) notitle 1, \
     "./REPORTS/p4_wc.txt"  using  ($7) notitle 1, \
     "./REPORTS/p4_wc.txt"  using  ($8) notitle 1, \
     "./REPORTS/p4_wc.txt"  using  ($9) notitle 1, \
     "./REPORTS/p4_wc.txt"  using ($10) notitle 1, \
     "./REPORTS/p4_wc.txt"  using ($11) notitle 1, \
     "./REPORTS/p4_wc.txt"  using ($12) notitle 1, \
     "./REPORTS/p4_typ.txt" using  ($1) title	 "ctrl_typ" 3 2, \
     "./REPORTS/p4_typ.txt" using  ($2) title  "strobe_typ" 5, \
     "./REPORTS/p4_typ.txt" using  ($3) title "d[9..0]_typ" 3, \
     "./REPORTS/p4_typ.txt" using  ($4) notitle 3, \
     "./REPORTS/p4_typ.txt" using  ($5) notitle 3, \
     "./REPORTS/p4_typ.txt" using  ($6) notitle 3, \
     "./REPORTS/p4_typ.txt" using  ($7) notitle 3, \
     "./REPORTS/p4_typ.txt" using  ($8) notitle 3, \
     "./REPORTS/p4_typ.txt" using  ($9) notitle 3, \
     "./REPORTS/p4_typ.txt" using ($10) notitle 3, \
     "./REPORTS/p4_typ.txt" using ($11) notitle 3, \
     "./REPORTS/p4_typ.txt" using ($12) notitle 3, \
     "./REPORTS/p4_bc.txt"  using  ($1) title	 "ctrl_bc" 2 2, \
     "./REPORTS/p4_bc.txt"  using  ($2) title  "strobe_bc" 6, \
     "./REPORTS/p4_bc.txt"  using  ($3) title "d[9..0]_bc" 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($4) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($5) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($6) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($7) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($8) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($9) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($10) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($11) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($12) notitle 2 1
