##
## CT-Gen command file
##
##             created:  Michael Keller
## 2000/04/14  modified: Rolf Schneider
##
set_rundir './CTGEN'
set_format se
read_technology
  lef_files
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/csd.lef'
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/HRDLIB_3M.lef'
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/IOLIB_3M.lef'
  gcf_env_file './csd3.3V.gcf'

read_design
  def_file './DEF/pre_clk.def'
  supply_definition
    'vdd!' 'vdd!'
    'gnd!' 'gnd!'
    'vdd3r1!' 'vdd3r1!'
    'vdd3r2!' 'vdd3r2!'
    'vdd3o!' 'vdd3o!'
    'gnd3r!' 'gnd3r!'
    'gnd3o!' 'gnd3o!'
  verilog_files 'toplevel' './VERILOG/toplevel_pad_h.v'

read_constraints
  constraints_file './CTGEN/ctgen.const'

build_clocktrees
remove_overlaps

write_design
  def_file './CTGEN/post_clk.def'  
  verilog_file './CTGEN/toplevel_clk.v'
