##
## COMMAND FILE FOR VERILOG NETLIST COMPARE (faro-design)
## use cmd: netcomp -ctgen ./netcomp_v.cmd
##
## created: 2000/04/19  Rolf Schneider
##
#
##
## SET FORMAT TO SE
##
set_format se
##
## READ TECHNOLOGY FILES
## should be the same as in ctgen.cmd
##
read_technology
  lef_files
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/csd.lef'
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/HRDLIB_3M.lef'
    '/cad/libs/ams3.20/artist/HK_0.35/LEF/csd/IOLIB_3M.lef'
  gcf_env_file './csd3.3V.gcf'
##
## DESIGNS TO COMPARE
##
compare_verilog
  design_1 'toplevel' './VERILOG/final.v'
  design_2 'toplevel' './CTGEN/toplevel_clk.v'
##
## END OF SCRIPT
##
