#ifndef AliTRDgtuGlobal_H
#define AliTRDgtuGlobal_H
/* Copyright(c) 1998-1999, ALICE Experiment at CERN, All rights reserved. *
 * See cxx source for full Copyright notice                               */

/* $Id: AliTRDgtuGlobal.h,v 1.2 2001/01/30 18:48:27 schneide Exp $ */

#include <TObject.h>
#include <AliTRDgeometry.h>
#include <AliTRDgtuReal.h>

class AliTRDgtuGlobal : public TObject {

  public:

    Float_t FindNextTrack(AliTRDgeometry *TRDgeometry, AliTRDgtuReal *Real, Int_t trackno, Int_t det, Int_t padrow, Int_t nParticles);
    static Int_t TMUwl;  // warning (output) level

  protected:

    ClassDef(AliTRDgtuGlobal,1) // TRD GTU global variables container

};

#endif
