void TestRwrite() {
  gROOT->Reset();
  gSystem->Load("$(ALICE_ROOT)/lib/tgt_$(ALICE_TARGET)/libTRDgtu");

  AliTRDgtuReal *real = new AliTRDgtuReal(10);
  real->GetRealTrack(9990)->SetTrackID(7);
  real->GetRealTrack(9990)->SetAmplitudeSum(1, 3);
  real->Dump();
  real->GetRealTrack(9990)->Dump();

  TFile *fp = new TFile("test.root", "RECREATE", "AliTRDgtuRealTrack");
  real->Write("RealTest");
  fp->Close();
  delete fp;

  delete real;
}
