void load_histo_res3()
{
  const Char_t *TitleString = "AliTRDnh_res3 (Config_nh_z.C, hijingParam, gain 16000, threshold 15, HitsMin 8, primary particles, pt>=1.0, 2000-12-12)";

  TStyle *mystyle = new TStyle("Default", "Default Style");
  Int_t ncolors = 1;
  Int_t *colors = NULL;
  mystyle->SetPalette(ncolors, colors);
  mystyle->cd();

  TCanvas *c1 = new TCanvas("c1", "Config_nh.C", 100, 10, 600, 800); c1->Draw();
  TPad *ptitle1 = new TPad("ptitle1", "ptitle1", 0.01, 0.95, 0.99, 0.99); ptitle1->Draw();
  ptitle1->cd(); TPaveLabel *pltitle1 = new TPaveLabel(0.0, 0.0, 1.0, 1.0, TitleString); pltitle1->Draw();
  c1->cd(); TPad *phisto1 = new TPad("phisto1", "phisto1", 0.01, 0.01, 0.99, 0.94);
  phisto1->Draw(); phisto1->Divide(1,2);

  TFile *fp = new TFile("./histo_res3.root");

  phisto1->cd(1);
  TH1F *h1_1 = new TH1F();
  h1_1->Read("h1_2");
  h1_1->Draw();

  phisto1->cd(2);
  TH2F *h1_2 = new TH2F();
  h1_2->Read("h1_10");
  h1_2->Draw("colz");

}
