######################################################
#                                                    #
#  Cadence Design Systems                            #
#  FirstEncounter Floor Plan Information             #
#                                                    #
######################################################
# Created on Tue Jan 13 16:31:09 2004

Version: 3

Head Box: 275.0000 275.0000 4725.0000 7400.0000
IO Box: 550.5000 550.5000 4449.5000 7125.0000
Core Box: 601.0400 600.9200 4399.5000 5932.0000
Row Flipping: first

##############################################################################
#  DefRow: <name> <site> <x> <y> <orient> <num_x> <num_y> <step_x> <step_y>  #
##############################################################################

######################################################
#  Track: dir start number space layer_num layer1 ...#
######################################################
Track:  X 275.3300 3580 1.3200 1 6
Track:  Y 275.2800 6362 1.1200 1 6
Track:  X 275.6600 3371 1.3200 1 5
Track:  Y 275.2800 12723 0.5600 2 5 4
Track:  X 275.3300 6742 0.6600 3 5 4 3
Track:  Y 275.2800 12723 0.5600 3 4 3 2
Track:  X 275.3300 6742 0.6600 3 3 2 1
Track:  Y 275.2800 12723 0.5600 2 2 1

######################################################
#  GCellGrid: dir start number space                 #
######################################################
GCellGrid: Y 275.0000 2 0.2800
GCellGrid: Y 275.2800 1273 5.6000
GCellGrid: Y 7398.4800 2 1.5200
GCellGrid: X 275.0000 2 0.3300
GCellGrid: X 275.3300 675 6.6000
GCellGrid: X 4723.7300 2 1.2700

######################################################
#  SpareCell: cellName                               #
#  SpareInst: instName                               #
######################################################

######################################################
#  ScanGroup: groupName startPin stopPin             #
######################################################

######################################################
#  JtagCell:  leafCellName                           #
#  JtagInst:  <instName | HInstName>                 #
######################################################

##############################################################################
#  BlackBox: -cell <cell_name> { -size <x> <y> | { -area <um^2> \            #
#    -gatecount <count> <areapergate> <utilization> } \                      #
#    [-minwidth <w> | -minheight <h> | -fixedwidh <w> | -fixedheight <h>] \  #
#    -aspectratio <ratio> }                                                  #
##############################################################################

#########################################################
#  PhysicalNet: <name> [-pwr|-gnd|-tiehi|-tielo]        #
#########################################################
PhysicalNet: V0IO -gnd
PhysicalNet: VSS -gnd
PhysicalNet: VDD_DM -pwr
PhysicalNet: V3IO -pwr
PhysicalNet: VDD -pwr

#########################################################
#  PhysicalInstance: <name> <cell> <orient> <llx> <lly> #
#########################################################
PhysicalInstance: ADCgapE FILLER5 R90 4449.5000 5980.0000
PhysicalInstance: GNDE9 VVSS R90 4449.5000 5939.5000
PhysicalInstance: PWRE9 VVDD R90 4449.5000 5884.5000
PhysicalInstance: PWR_IOE7 VV3IO R90 4449.5000 5665.5000
PhysicalInstance: GND_IOE7 VV0IO R90 4449.5000 5610.5000
PhysicalInstance: GNDE8 VVSS R90 4449.5000 5445.5000
PhysicalInstance: PWRE8 VVDD R90 4449.5000 5390.5000
PhysicalInstance: PWR_IOE6 VV3IO R90 4449.5000 4895.5000
PhysicalInstance: GND_IOE6 VV0IO R90 4449.5000 4840.5000
PhysicalInstance: PWRE7 VVDD R90 4449.5000 4455.5000
PhysicalInstance: GNDE7 VVSS R90 4449.5000 4400.5000
PhysicalInstance: PWR_IOE5 VV3IO R90 4449.5000 4235.5000
PhysicalInstance: GND_IOE5 VV0IO R90 4449.5000 4180.5000
PhysicalInstance: PWRE6 VVDD R90 4449.5000 4015.5000
PhysicalInstance: GNDE6 VVSS R90 4449.5000 3960.5000
PhysicalInstance: PWRE5 VVDD R90 4449.5000 3575.5000
PhysicalInstance: GNDE5 VVSS R90 4449.5000 3520.5000
PhysicalInstance: PWR_IOE4 VV3IO R90 4449.5000 3465.5000
PhysicalInstance: GND_IOE4 VV0IO R90 4449.5000 3410.5000
PhysicalInstance: GNDE4 VVSS R90 4449.5000 3135.5000
PhysicalInstance: PWRE4 VVDD R90 4449.5000 3055.5000
PhysicalInstance: PWR_IOE3 VV3IO R90 4449.5000 2805.5000
PhysicalInstance: GND_IOE3 VV0IO R90 4449.5000 2750.5000
PhysicalInstance: PWRE3 VVDD R90 4449.5000 2420.5000
PhysicalInstance: GNDE3 VVSS R90 4449.5000 2475.5000
PhysicalInstance: PWR_IOE2 VV3IO R90 4449.5000 2145.5000
PhysicalInstance: GND_IOE2 VV0IO R90 4449.5000 2090.5000
PhysicalInstance: GNDE2 VVSS R90 4449.5000 1815.5000
PhysicalInstance: PWRE2 VVDD R90 4449.5000 1770.5000
PhysicalInstance: PWR_IOE1 VV3IO R90 4449.5000 1595.5000
PhysicalInstance: GND_IOE1 VV0IO R90 4449.5000 1540.5000
PhysicalInstance: PWRE1 VVDD R90 4449.5000 1265.5000
PhysicalInstance: GNDE1 VVSS R90 4449.5000 1210.5000
PhysicalInstance: PWR_IOE0 VV3IO R90 4449.5000 1045.5000
PhysicalInstance: GND_IOE0 VV0IO R90 4449.5000 990.5000
PhysicalInstance: PWRE0 VVDD R90 4449.5000 615.5000
PhysicalInstance: GNDE0 VVSS R90 4449.5000 565.5000
PhysicalInstance: ADCgapW FILLER5 R270 275.0000 5980.0000
PhysicalInstance: GNDW8 VVSS R270 275.0000 5924.5000
PhysicalInstance: PWRW8 VVDD R270 275.0000 5869.5000
PhysicalInstance: GND_IOW6 VV0IO R270 275.0000 5665.5000
PhysicalInstance: PWR_IOW6 VV3IO R270 275.0000 5610.5000
PhysicalInstance: PWRW7 VVDD R270 275.0000 5445.5000
PhysicalInstance: GNDW7 VVSS R270 275.0000 5390.5000
PhysicalInstance: PWR_IOW5 VV3IO R270 275.0000 4895.5000
PhysicalInstance: GND_IOW5 VV0IO R270 275.0000 4840.5000
PhysicalInstance: PWRW6 VVDD R270 275.0000 4430.5000
PhysicalInstance: GNDW6 VVSS R270 275.0000 4385.5000
PhysicalInstance: PWR_IOW4 VV3IO R270 275.0000 4125.5000
PhysicalInstance: GND_IOW4 VV0IO R270 275.0000 4070.5000
PhysicalInstance: PWRW5 VVDD R270 275.0000 3795.5000
PhysicalInstance: GNDW5 VVSS R270 275.0000 3740.5000
PhysicalInstance: PWR_IOW3 VV3IO R270 275.0000 3465.5000
PhysicalInstance: GND_IOW3 VV0IO R270 275.0000 3410.5000
PhysicalInstance: PWRW4 VVDD R270 275.0000 3155.5000
PhysicalInstance: GNDW4 VVSS R270 275.0000 3110.5000
PhysicalInstance: PWRW3 VVDD R270 275.0000 2420.5000
PhysicalInstance: GNDW3 VVSS R270 275.0000 2475.5000
PhysicalInstance: PWR_IOW2 VV3IO R270 275.0000 2365.5000
PhysicalInstance: GND_IOW2 VV0IO R270 275.0000 2310.5000
PhysicalInstance: PWRW2 VVDD R270 275.0000 1890.5000
PhysicalInstance: GNDW2 VVSS R270 275.0000 1845.5000
PhysicalInstance: PWR_IOW1 VV3IO R270 275.0000 1595.5000
PhysicalInstance: GND_IOW1 VV0IO R270 275.0000 1540.5000
PhysicalInstance: GNDW1 VVSS R270 275.0000 1045.5000
PhysicalInstance: PWRW1 VVDD R270 275.0000 990.5000
PhysicalInstance: PWR_IOW0 VV3IO R270 275.0000 825.5000
PhysicalInstance: GND_IOW0 VV0IO R270 275.0000 770.5000
PhysicalInstance: PWRW0 VVDD R270 275.0000 615.5000
PhysicalInstance: GNDW0 VVSS R270 275.0000 565.5000
PhysicalInstance: corner_lr CORNER R90 4449.5000 275.0000
PhysicalInstance: GND_IOS6 VV0IO R0 4405.0000 275.0000
PhysicalInstance: PWR_IOS6 VV3IO R0 4350.0000 275.0000
PhysicalInstance: PWRS5 VVDD R0 4075.0000 275.0000
PhysicalInstance: GNDS5 VVSS R0 4020.0000 275.0000
PhysicalInstance: PWR_IOS5 VV3IO R0 3855.0000 275.0000
PhysicalInstance: GND_IOS5 VV0IO R0 3800.0000 275.0000
PhysicalInstance: PWRS4 VVDD R0 3525.0000 275.0000
PhysicalInstance: GNDS4 VVSS R0 3470.0000 275.0000
PhysicalInstance: VDD_DM2 VVDD_DM R0 2875.0000 275.0000
PhysicalInstance: GND_DM2 VVSS R0 2810.0000 275.0000
PhysicalInstance: PWR_IOS4 VV3IO R0 2975.0000 275.0000
PhysicalInstance: GND_IOS4 VV0IO R0 2920.0000 275.0000
PhysicalInstance: PWRS3 VVDD R0 2535.0000 275.0000
PhysicalInstance: GNDS3 VVSS R0 2480.0000 275.0000
PhysicalInstance: PWR_IOS3 VV3IO R0 2205.0000 275.0000
PhysicalInstance: GND_IOS3 VV0IO R0 2150.0000 275.0000
PhysicalInstance: VDD_DM1 VVDD_DM R0 1885.0000 275.0000
PhysicalInstance: GND_DM1 VVSS R0 1830.0000 275.0000
PhysicalInstance: PWR_IOS2 VV3IO R0 1765.0000 275.0000
PhysicalInstance: GND_IOS2 VV0IO R0 1710.0000 275.0000
PhysicalInstance: PWRS2 VVDD R0 1545.0000 275.0000
PhysicalInstance: GNDS2 VVSS R0 1490.0000 275.0000
PhysicalInstance: PWRS1 VVDD R0 1215.0000 275.0000
PhysicalInstance: GNDS1 VVSS R0 1160.0000 275.0000
PhysicalInstance: PWR_IOS1 VV3IO R0 995.0000 275.0000
PhysicalInstance: GND_IOS1 VV0IO R0 940.0000 275.0000
PhysicalInstance: PWR_IOS0 VV3IO R0 665.0000 275.0000
PhysicalInstance: GND_IOS0 VV0IO R0 610.0000 275.0000
PhysicalInstance: corner_ll CORNER R0 275.0000 275.0000
PhysicalInstance: PADROW_R BPADSR R0 4725.0000 275.0000
PhysicalInstance: PADROW_L BPADSL R0 0.0000 275.0000
PhysicalInstance: PADROW_B BPADSB R0 0.0000 0.0000

#####################################################################
#  Group: <group_name> <nrHinst> [-isPhyHier]                       #
#    <inst_name>                                                    #
#    ...                                                            #
#####################################################################

#####################################################################
#  Fence:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Region: <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#  Guide:  <name> <llx> <lly> <urx> <ury> <nrConstraintBox>         #
#    ConstraintBox: <llx> <lly> <urx> <ury>                         #
#    ...                                                            #
#####################################################################
Guide: Itrap2top/mg/preprocessor_instance 601.0400 3218.9200 2375.7800 5282.5200 0
Guide: Itrap2top/fl/cc/top_sm_inst 3371.0600 600.9200 3565.7600 1826.7600 0
Guide: Itrap2top/fl/cc/arbiter_instance 1668.2600 1605.0000 2088.0200 1709.7200 0
Guide: Itrap2top/fl/cc/io_m 2229.9200 1598.8400 2832.5000 1857.5600 0
Guide: Itrap2top/fl/cc/net_int 829.4000 1457.1600 1665.6200 1888.3600 0
Guide: Itrap2top/fl/cc/gl0 2160.6200 2177.8800 2242.4600 2405.8000 0
Guide: Itrap2top/fl/cc/gl1 2060.9600 1839.0800 2185.0400 1968.4400 0
Guide: Itrap2top/fl/cc/gl2 2509.7600 1832.9200 2631.8600 1956.1200 0
Guide: Itrap2top/fl/cc/gl3 2695.8800 2190.2000 2815.3400 2313.4000 0
Guide: Itrap2top/fl/cc/tcg 2457.6200 1956.1200 2628.5600 2128.6000 0
Guide: Itrap2top/fl/cc/tc0 1470.9200 2609.0800 1579.1600 2972.5200 0
Guide: Itrap2top/fl/cc/tc1 1897.2800 1722.0400 2069.5400 1894.5200 0
Guide: Itrap2top/fl/cc/tc2 2641.7600 1826.7600 2813.3600 1999.2400 0
Guide: Itrap2top/fl/cc/tc3 2804.7800 2196.3600 2977.0400 2368.8400 0
Guide: Itrap2top/fl/cc/db/h0 3235.7600 1481.8000 3371.0600 1617.3200 0
Guide: Itrap2top/fl/cc/mimd/irq3_ctrl 2239.1600 2455.0800 2477.4200 2695.3200 0
Guide: Itrap2top/fl/cc/mimd/irq2_ctrl 2402.8400 2091.6400 2703.8000 2288.7600 0
Guide: Itrap2top/fl/cc/mimd/irq1_ctrl 2179.1000 1832.9200 2418.0200 2073.1600 0
Guide: Itrap2top/fl/cc/mimd/irq0_ctrl 2243.7800 2153.2400 2482.0400 2393.4800 0
Region: Itrap2top/fl/cc/mimd/frf7 2765.1800 3151.1600 2975.7200 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf6 2765.1800 3151.1600 2975.7200 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf5 3025.2200 3151.1600 3235.7600 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf4 3025.2200 3151.1600 3235.7600 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf1 2119.7000 3151.1600 2330.2400 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf0 2119.7000 3151.1600 2330.2400 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf2 1800.2600 3151.1600 2010.8000 3262.0400 0
Region: Itrap2top/fl/cc/mimd/frf3 1800.2600 3151.1600 2010.8000 3262.0400 0
Fence: Itrap2top/fl/cc/mimd/grf_inst 2480.0600 2307.2400 3060.2000 2781.5600 0
Guide: Itrap2top/fl/cc/mimd/const_inst 2162.6000 2769.2400 2769.1400 3151.1600 0
Guide: Itrap2top/fl/cc/mimd/cpu3_inst 2545.4000 2294.9200 3607.3400 3212.7600 0
Guide: Itrap2top/fl/cc/mimd/cpu2_inst 2635.1600 1605.0000 3607.3400 2294.9200 0
Guide: Itrap2top/fl/cc/mimd/cpu1_inst 1474.2200 1611.1600 2541.4400 2455.0800 0
Guide: Itrap2top/fl/cc/mimd/cpu0_inst 1470.9200 2455.0800 2545.4000 3218.9200 0
Fence: Itrap2top/fl/dm/h3 2517.6800 1438.6800 2857.5800 1512.6000 0
Fence: Itrap2top/fl/dm/h2 2917.6400 1438.6800 3257.5400 1512.6000 0
Fence: Itrap2top/fl/dm/h1 1717.7600 1438.6800 2057.6600 1512.6000 0
Fence: Itrap2top/fl/dm/h0 2117.7200 1438.6800 2457.6200 1512.6000 0
Fence: Itrap2top/rs/U_port_in_0/U_resync 1231.3400 1075.2400 1406.2400 1179.9600 0
Fence: Itrap2top/rs/U_port_in_1/U_resync 1231.3400 1179.9600 1406.2400 1284.6800 0
Fence: Itrap2top/rs/U_port_in_2/U_resync 1231.3400 1284.6800 1406.2400 1389.4000 0
Fence: Itrap2top/rs/U_port_in_3/U_resync 1231.3400 1389.4000 1406.2400 1494.1200 0
Guide: Itrap2top/adcc 601.0400 5652.1200 738.3200 5793.8000 0
Fence: top_CLK_mux 601.7000 1765.1600 840.6200 1832.9200 0
Region: Itrap2top/mg 601.0400 3151.1600 4399.3400 5929.3200 0
Fence: Itrap2top/fl/dm 1406.2400 600.9200 3237.7400 1598.8400 0
Fence: Itrap2top/fl/im0 601.0400 3151.1600 1475.5400 4370.8400 0
Fence: Itrap2top/fl/im1 601.0400 1876.0400 1475.5400 3095.7200 0
Fence: Itrap2top/fl/im3 3545.9600 1876.0400 4399.3400 3101.8800 0
Fence: Itrap2top/fl/im2 3545.9600 600.9200 4399.3400 1826.7600 0
Fence: Itrap2top/rs 601.0400 600.9200 1406.2400 1765.1600 0
Fence: Itrap2top/rs/U_port_out/U_delay 1194.3800 600.9200 1406.2400 1069.0800 0
Fence: Itrap2top/ck 2399.5400 3157.3200 2620.6400 3225.0800 0
Guide: JTAG_CONTROL_INST 4253.4800 5547.4000 4399.3400 5602.8400 0

######################################################
#  NetGroup: <group_name> <nrNetsInGroup>            #
######################################################

######################################################
#  CellPtnCutList: <cellName> <num_ptn_cut>          #
######################################################

######################################################
#  Instance: <name> <orient> <llx> <lly>             #
######################################################

#################################################################
#  Block: <name> <orient> [<llx> <lly>] [<haloLeftMargin>       #
#         <haloBottomMargin> <haloRightMargin> <haloTopMargin>] #
#         [<IsInstDefCovered> <IsInstPreplaced>]                #
#                                                               #
#  Block with INT_MAX loc is for recording the halo block with  #
#  non-prePlaced status                                         #
#################################################################
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch20/one_channel R270 4147.2600 4432.0400 30.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch19/one_channel R270 4147.2600 4559.8800 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch18/one_channel R270 4147.2600 4687.7200 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch17/one_channel R270 4147.2600 4815.5600 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch16/one_channel R270 4147.2600 4943.4000 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch15/one_channel R270 4147.2600 5071.2400 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch14/one_channel R270 4147.2600 5199.0800 30.0000 10.0000 0.0000 0.0000 1 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch13/one_channel R270 4147.2600 5326.9200 30.0000 10.0000 0.0000 30.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch12/one_channel R0 4281.6600 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch11/one_channel R0 4153.8200 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch10/one_channel R0 4025.9800 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch09/one_channel R0 3898.1400 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch08/one_channel R0 3770.3000 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch07/one_channel R0 3642.4600 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch06/one_channel R0 3514.6200 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch05/one_channel R0 3386.7800 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch04/one_channel R0 3258.9400 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch03/one_channel R0 3131.1000 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch02/one_channel R0 3003.2600 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch01/one_channel R0 2875.4200 5679.7600 10.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/mg/event_buffer_instance/event_buffer_ch00/one_channel R0 2747.5800 5679.7600 30.0000 30.0000 0.0000 0.0000 0 01
Block: Itrap2top/fl/cc/db/d0 R90 3270.0000 600.9200 30.0000 0.0000 30.0000 40.0000 0 01
Block: Itrap2top/fl/dm/d0 R180 1537.7200 600.9200 30.0000 0.0000 30.0000 40.0000 0 01
Block: Itrap2top/fl/im0/d0 R90 601.0400 3151.1600 0.0000 26.0000 50.0000 50.0000 0 01
Block: Itrap2top/fl/im1/d0 R90 601.0400 1876.0400 0.0000 50.0000 50.0000 26.0000 0 01
Block: Itrap2top/fl/im2/d0 MX90 3660.0600 600.9200 50.0000 0.0000 0.0000 26.0000 0 01
Block: Itrap2top/fl/im3/d0 MX90 3660.0600 1875.8800 50.0000 26.0000 0.0000 48.0000 0 01
Block: Itrap2top/rs/U_fifo_mb_3/U_mem MX 1034.6000 600.9200 0.0000 0.0000 30.0000 30.0000 0 01
Block: Itrap2top/rs/U_fifo_mb_2/U_mem MX 890.0800 600.9200 0.0000 0.0000 10.0000 30.0000 0 01
Block: Itrap2top/rs/U_fifo_mb_1/U_mem MX 745.5600 600.9200 0.0000 0.0000 10.0000 30.0000 0 01
Block: Itrap2top/rs/U_fifo_mb_0/U_mem MX 601.0400 600.9200 0.0000 0.0000 10.0000 30.0000 0 01

######################################################
#  BlockLayerObstruct: <name> <layerX> ...           #
######################################################

######################################################
#  FeedthroughBuffer: <instName>                     #
######################################################

###########################################################################
#  PlacementBlockage: <llx> <lly> <urx> <ury> <type> [-pushdown] "<name>" #
#       type is one of {-hard|-soft|-partial ratio}                       #
#       ratio is a number between 0 and 1.                                #
###########################################################################

######################################################################################
# RouteBlockage: <llx> <lly> <urx> <ury> <typeId>                                    #
#   { <layerId ..> | -cutLayer <layerId ..> | <layerId ..> -cutLayer <layerId ..> }  #
#   [-fills] [-pushdown] "<name>"                                                    #
######################################################################################

######################################################
#  PrerouteAsObstruct: <layer_treated_as_obstruct>   #
######################################################
PrerouteAsObstruct: 0x3

######################################################
#  NetWeight: <net_name> <weight (in integer)>       #
######################################################

#################################################################
#  SprFile: <file_name>                                         #
#################################################################
SprFile: top_pad.fp.spr

#######################################################################################
#  IO: <instName> <cellName> <lx> <ly> <side> <orient> {-power|-ground|-}             #
#  IOPin: <pinName> <x> <y> <side> <layerId> <width> <depth> {placed|fixed|-} <nrBox> #
#    PinBox: <llx> <lly> <urx> <ury>                                                  #
#######################################################################################
IO: PADROW_B BPADSB 0.0000 0.0000 N R0 - 01
IO: ADCgapW FILLER5 275.0000 5980.0000 W R270 - 01
IO: GNDW8 VVSS 275.0000 5924.5000 W R270 - 01
IO: PWRW8 VVDD 275.0000 5869.5000 W R270 - 01
IO: CLK_ADC_IN LVDS_RX 275.0000 5720.5000 W R270 - 01
IO: GND_IOW6 VV0IO 275.0000 5665.5000 W R270 - 01
IO: PWR_IOW6 VV3IO 275.0000 5610.5000 W R270 - 01
IO: NIP3_CLKO SUPER_LVDS_TX 275.0000 5500.5000 W R270 - 01
IO: PWRW7 VVDD 275.0000 5445.5000 W R270 - 01
IO: GNDW7 VVSS 275.0000 5390.5000 W R270 - 01
IO: PTRG_IN SUPER_LVDS_RX 275.0000 5280.5000 W R270 - 01
IO: NIP3_PTRGO SUPER_LVDS_TX 275.0000 5170.5000 W R270 - 01
IO: NIP3_STB SUPER_LVDS_RX 275.0000 5060.5000 W R270 - 01
IO: NIP4_STB SUPER_LVDS_TX 275.0000 4950.5000 W R270 - 01
IO: PWR_IOW5 VV3IO 275.0000 4895.5000 W R270 - 01
IO: GND_IOW5 VV0IO 275.0000 4840.5000 W R270 - 01
IO: NIP3_CTL SUPER_LVDS_TX 275.0000 4730.5000 W R270 - 01
IO: NIP3_D9 SUPER_LVDS_RX 275.0000 4620.5000 W R270 - 01
IO: NIP4_CTL SUPER_LVDS_RX 275.0000 4510.5000 W R270 - 01
IO: PWRW6 VVDD 275.0000 4430.5000 W R270 - 01
IO: GNDW6 VVSS 275.0000 4385.5000 W R270 - 01
IO: NIP4_D9 SUPER_LVDS_TX 275.0000 4290.5000 W R270 - 01
IO: NIP3_D8 SUPER_LVDS_RX 275.0000 4180.5000 W R270 - 01
IO: PWR_IOW4 VV3IO 275.0000 4125.5000 W R270 - 01
IO: GND_IOW4 VV0IO 275.0000 4070.5000 W R270 - 01
IO: NIP3_D7 SUPER_LVDS_RX 275.0000 3960.5000 W R270 - 01
IO: NIP3_D6 SUPER_LVDS_RX 275.0000 3850.5000 W R270 - 01
IO: PWRW5 VVDD 275.0000 3795.5000 W R270 - 01
IO: GNDW5 VVSS 275.0000 3740.5000 W R270 - 01
IO: NIP4_D8 SUPER_LVDS_TX 275.0000 3630.5000 W R270 - 01
IO: NIP3_D5 SUPER_LVDS_RX 275.0000 3520.5000 W R270 - 01
IO: PWR_IOW3 VV3IO 275.0000 3465.5000 W R270 - 01
IO: GND_IOW3 VV0IO 275.0000 3410.5000 W R270 - 01
IO: NIP3_D4 SUPER_LVDS_RX 275.0000 3300.5000 W R270 - 01
IO: NIP4_D7 SUPER_LVDS_TX 275.0000 3200.5000 W R270 - 01
IO: PWRW4 VVDD 275.0000 3155.5000 W R270 - 01
IO: GNDW4 VVSS 275.0000 3110.5000 W R270 - 01
IO: NIP3_D3 SUPER_LVDS_RX 275.0000 2970.5000 W R270 - 01
IO: NIP4_D6 SUPER_LVDS_TX 275.0000 2860.5000 W R270 - 01
IO: NIP3_D2 SUPER_LVDS_RX 275.0000 2750.5000 W R270 - 01
IO: NIP3_D1 SUPER_LVDS_RX 275.0000 2640.5000 W R270 - 01
IO: NIP4_D5 SUPER_LVDS_TX 275.0000 2530.5000 W R270 - 01
IO: PWRW3 VVDD 275.0000 2420.5000 W R270 - 01
IO: GNDW3 VVSS 275.0000 2475.5000 W R270 - 01
IO: PWR_IOW2 VV3IO 275.0000 2365.5000 W R270 - 01
IO: GND_IOW2 VV0IO 275.0000 2310.5000 W R270 - 01
IO: PSEL_CLK0 C3I42U 275.0000 2255.5000 W R270 - 01
IO: PSEL_CLK1 C3I42U 275.0000 2200.5000 W R270 - 01
IO: NIP4_D4 SUPER_LVDS_TX 275.0000 2090.5000 W R270 - 01
IO: PSEL_CLK2 C3I42U 275.0000 2035.5000 W R270 - 01
IO: PSEL_CLK3 C3I42U 275.0000 1980.5000 W R270 - 01
IO: PWRW2 VVDD 275.0000 1890.5000 W R270 - 01
IO: GNDW2 VVSS 275.0000 1845.5000 W R270 - 01
IO: CLK_DIG_IN SUPER_LVDS_RX 275.0000 1760.5000 W R270 - 01
IO: PLL480 i1200o4800d5 275.0000 1650.5000 W R270 - 01
IO: PWR_IOW1 VV3IO 275.0000 1595.5000 W R270 - 01
IO: GND_IOW1 VV0IO 275.0000 1540.5000 W R270 - 01
IO: NIP3_D0 SUPER_LVDS_RX 275.0000 1430.5000 W R270 - 01
IO: NIP2_D0 SUPER_LVDS_RX 275.0000 1320.5000 W R270 - 01
IO: NIP2_D1 SUPER_LVDS_RX 275.0000 1210.5000 W R270 - 01
IO: NIP4_D3 SUPER_LVDS_TX 275.0000 1100.5000 W R270 - 01
IO: GNDW1 VVSS 275.0000 1045.5000 W R270 - 01
IO: PWRW1 VVDD 275.0000 990.5000 W R270 - 01
IO: NIP2_D2 SUPER_LVDS_RX 275.0000 880.5000 W R270 - 01
IO: PWR_IOW0 VV3IO 275.0000 825.5000 W R270 - 01
IO: GND_IOW0 VV0IO 275.0000 770.5000 W R270 - 01
IO: NIP2_D3 SUPER_LVDS_RX 275.0000 660.5000 W R270 - 01
IO: PWRW0 VVDD 275.0000 615.5000 W R270 - 01
IO: GNDW0 VVSS 275.0000 565.5000 W R270 - 01
IO: GND_IOS6 VV0IO 4405.0000 275.0000 S R0 - 01
IO: PWR_IOS6 VV3IO 4350.0000 275.0000 S R0 - 01
IO: NIP1_D2 SUPER_LVDS_RX 4240.0000 275.0000 S R0 - 01
IO: NIP0_D4 SUPER_LVDS_RX 4130.0000 275.0000 S R0 - 01
IO: PWRS5 VVDD 4075.0000 275.0000 S R0 - 01
IO: GNDS5 VVSS 4020.0000 275.0000 S R0 - 01
IO: NIP1_D1 SUPER_LVDS_RX 3910.0000 275.0000 S R0 - 01
IO: PWR_IOS5 VV3IO 3855.0000 275.0000 S R0 - 01
IO: GND_IOS5 VV0IO 3800.0000 275.0000 S R0 - 01
IO: NIP1_D0 SUPER_LVDS_RX 3690.0000 275.0000 S R0 - 01
IO: NIP0_D3 SUPER_LVDS_RX 3580.0000 275.0000 S R0 - 01
IO: PWRS4 VVDD 3525.0000 275.0000 S R0 - 01
IO: GNDS4 VVSS 3470.0000 275.0000 S R0 - 01
IO: NIP2_CLKO SUPER_LVDS_TX 3360.0000 275.0000 S R0 - 01
IO: NIP0_D2 SUPER_LVDS_RX 3250.0000 275.0000 S R0 - 01
IO: NIP2_PTRGO SUPER_LVDS_TX 3140.0000 275.0000 S R0 - 01
IO: NIP0_D1 SUPER_LVDS_RX 3030.0000 275.0000 S R0 - 01
IO: VDD_DM2 VVDD_DM 2875.0000 275.0000 S R0 - 01
IO: GND_DM2 VVSS 2810.0000 275.0000 S R0 - 01
IO: PWR_IOS4 VV3IO 2975.0000 275.0000 S R0 - 01
IO: GND_IOS4 VV0IO 2920.0000 275.0000 S R0 - 01
IO: NIP2_STB SUPER_LVDS_RX 2700.0000 275.0000 S R0 - 01
IO: NIP2_CTL SUPER_LVDS_TX 2590.0000 275.0000 S R0 - 01
IO: PWRS3 VVDD 2535.0000 275.0000 S R0 - 01
IO: GNDS3 VVSS 2480.0000 275.0000 S R0 - 01
IO: NIP0_D0 SUPER_LVDS_RX 2370.0000 275.0000 S R0 - 01
IO: NIP2_D9 SUPER_LVDS_RX 2260.0000 275.0000 S R0 - 01
IO: PWR_IOS3 VV3IO 2205.0000 275.0000 S R0 - 01
IO: GND_IOS3 VV0IO 2150.0000 275.0000 S R0 - 01
IO: NIP2_D8 SUPER_LVDS_RX 2040.0000 275.0000 S R0 - 01
IO: VDD_DM1 VVDD_DM 1885.0000 275.0000 S R0 - 01
IO: GND_DM1 VVSS 1830.0000 275.0000 S R0 - 01
IO: NIP4_D0 SUPER_LVDS_TX 1940.0000 275.0000 S R0 - 01
IO: PWR_IOS2 VV3IO 1765.0000 275.0000 S R0 - 01
IO: GND_IOS2 VV0IO 1710.0000 275.0000 S R0 - 01
IO: NIP2_D7 SUPER_LVDS_RX 1600.0000 275.0000 S R0 - 01
IO: PWRS2 VVDD 1545.0000 275.0000 S R0 - 01
IO: GNDS2 VVSS 1490.0000 275.0000 S R0 - 01
IO: NIP2_D6 SUPER_LVDS_RX 1380.0000 275.0000 S R0 - 01
IO: NIP4_D1 SUPER_LVDS_TX 1270.0000 275.0000 S R0 - 01
IO: PWRS1 VVDD 1215.0000 275.0000 S R0 - 01
IO: GNDS1 VVSS 1160.0000 275.0000 S R0 - 01
IO: NIP2_D5 SUPER_LVDS_RX 1050.0000 275.0000 S R0 - 01
IO: PWR_IOS1 VV3IO 995.0000 275.0000 S R0 - 01
IO: GND_IOS1 VV0IO 940.0000 275.0000 S R0 - 01
IO: NIP2_D4 SUPER_LVDS_RX 830.0000 275.0000 S R0 - 01
IO: NIP4_D2 SUPER_LVDS_TX 720.0000 275.0000 S R0 - 01
IO: PWR_IOS0 VV3IO 665.0000 275.0000 S R0 - 01
IO: GND_IOS0 VV0IO 610.0000 275.0000 S R0 - 01
IO: ID_PAD chip_id 555.5000 275.0000 S R0 - 01
IO: corner_ll CORNER 275.0000 275.0000 SW R0 - 01
IO: PADROW_R BPADSR 4725.0000 275.0000 S R0 - 01
IO: PADROW_L BPADSL 0.0000 275.0000 S R0 - 01
IO: IADC/adc_i ADC 0.0000 5985.0000 E R0 - 01
IO: SEBDIR0 C3B50U 4449.5000 5829.5000 E R90 - 01
IO: SEBDIR1 C3B50U 4449.5000 5555.5000 E R90 - 01
IO: SEBDIR2 C3B50U 4449.5000 5005.5000 E R90 - 01
IO: ADCgapE FILLER5 4449.5000 5980.0000 E R90 - 01
IO: GNDE9 VVSS 4449.5000 5939.5000 E R90 - 01
IO: PWRE9 VVDD 4449.5000 5884.5000 E R90 - 01
IO: PTMS C3I42U 4449.5000 5720.5000 E R90 - 01
IO: PWR_IOE7 VV3IO 4449.5000 5665.5000 E R90 - 01
IO: GND_IOE7 VV0IO 4449.5000 5610.5000 E R90 - 01
IO: PTCK C3I42D 4449.5000 5500.5000 E R90 - 01
IO: GNDE8 VVSS 4449.5000 5445.5000 E R90 - 01
IO: PWRE8 VVDD 4449.5000 5390.5000 E R90 - 01
IO: PTDO C3O50 4449.5000 5280.5000 E R90 - 01
IO: PRESETN C3I42U 4449.5000 5170.5000 E R90 - 01
IO: POUT_RNG C3I42U 4449.5000 5115.5000 E R90 - 01
IO: PTDI C3I42U 4449.5000 5060.5000 E R90 - 01
IO: PIRQEXT C3I42U 4449.5000 4950.5000 E R90 - 01
IO: PWR_IOE6 VV3IO 4449.5000 4895.5000 E R90 - 01
IO: GND_IOE6 VV0IO 4449.5000 4840.5000 E R90 - 01
IO: SCSN1_DI LVDS_RX 4449.5000 4730.5000 E R90 - 01
IO: SCSN0_DI SUPER_LVDS_RX 4449.5000 4620.5000 E R90 - 01
IO: SCSN1_DO LVDS_TX 4449.5000 4510.5000 E R90 - 01
IO: PWRE7 VVDD 4449.5000 4455.5000 E R90 - 01
IO: GNDE7 VVSS 4449.5000 4400.5000 E R90 - 01
IO: SCSN0_DO SUPER_LVDS_TX 4449.5000 4290.5000 E R90 - 01
IO: PWR_IOE5 VV3IO 4449.5000 4235.5000 E R90 - 01
IO: GND_IOE5 VV0IO 4449.5000 4180.5000 E R90 - 01
IO: NIP1_CLKO SUPER_LVDS_TX 4449.5000 4070.5000 E R90 - 01
IO: PWRE6 VVDD 4449.5000 4015.5000 E R90 - 01
IO: GNDE6 VVSS 4449.5000 3960.5000 E R90 - 01
IO: NIP0_CLKO SUPER_LVDS_TX 4449.5000 3850.5000 E R90 - 01
IO: NIP1_PTRGO SUPER_LVDS_TX 4449.5000 3740.5000 E R90 - 01
IO: NIP1_STB SUPER_LVDS_RX 4449.5000 3630.5000 E R90 - 01
IO: PWRE5 VVDD 4449.5000 3575.5000 E R90 - 01
IO: GNDE5 VVSS 4449.5000 3520.5000 E R90 - 01
IO: PWR_IOE4 VV3IO 4449.5000 3465.5000 E R90 - 01
IO: GND_IOE4 VV0IO 4449.5000 3410.5000 E R90 - 01
IO: NIP0_PTRGO SUPER_LVDS_TX 4449.5000 3300.5000 E R90 - 01
IO: NIP1_CTL SUPER_LVDS_TX 4449.5000 3190.5000 E R90 - 01
IO: GNDE4 VVSS 4449.5000 3135.5000 E R90 - 01
IO: PWRE4 VVDD 4449.5000 3055.5000 E R90 - 01
IO: NIP1_D9 SUPER_LVDS_RX 4449.5000 2970.5000 E R90 - 01
IO: NIP0_STB SUPER_LVDS_RX 4449.5000 2860.5000 E R90 - 01
IO: PWR_IOE3 VV3IO 4449.5000 2805.5000 E R90 - 01
IO: GND_IOE3 VV0IO 4449.5000 2750.5000 E R90 - 01
IO: NIP1_D8 SUPER_LVDS_RX 4449.5000 2640.5000 E R90 - 01
IO: NIP1_D7 SUPER_LVDS_RX 4449.5000 2530.5000 E R90 - 01
IO: PWRE3 VVDD 4449.5000 2420.5000 E R90 - 01
IO: GNDE3 VVSS 4449.5000 2475.5000 E R90 - 01
IO: NIP0_CTL SUPER_LVDS_TX 4449.5000 2310.5000 E R90 - 01
IO: NIP1_D6 SUPER_LVDS_RX 4449.5000 2200.5000 E R90 - 01
IO: PWR_IOE2 VV3IO 4449.5000 2145.5000 E R90 - 01
IO: GND_IOE2 VV0IO 4449.5000 2090.5000 E R90 - 01
IO: NIP0_D9 SUPER_LVDS_RX 4449.5000 1980.5000 E R90 - 01
IO: NIP1_D5 SUPER_LVDS_RX 4449.5000 1870.5000 E R90 - 01
IO: GNDE2 VVSS 4449.5000 1815.5000 E R90 - 01
IO: PWRE2 VVDD 4449.5000 1770.5000 E R90 - 01
IO: NIP_CTL SUPER_LVDS_TX 4449.5000 1650.5000 E R90 - 01
IO: PWR_IOE1 VV3IO 4449.5000 1595.5000 E R90 - 01
IO: GND_IOE1 VV0IO 4449.5000 1540.5000 E R90 - 01
IO: NIP0_D8 SUPER_LVDS_RX 4449.5000 1430.5000 E R90 - 01
IO: NIP0_D7 SUPER_LVDS_RX 4449.5000 1320.5000 E R90 - 01
IO: PWRE1 VVDD 4449.5000 1265.5000 E R90 - 01
IO: GNDE1 VVSS 4449.5000 1210.5000 E R90 - 01
IO: NIP0_D6 SUPER_LVDS_RX 4449.5000 1100.5000 E R90 - 01
IO: PWR_IOE0 VV3IO 4449.5000 1045.5000 E R90 - 01
IO: GND_IOE0 VV0IO 4449.5000 990.5000 E R90 - 01
IO: NIP1_D4 SUPER_LVDS_RX 4449.5000 880.5000 E R90 - 01
IO: NIP0_D5 SUPER_LVDS_RX 4449.5000 770.5000 E R90 - 01
IO: NIP1_D3 SUPER_LVDS_RX 4449.5000 660.5000 E R90 - 01
IO: PWRE0 VVDD 4449.5000 615.5000 E R90 - 01
IO: GNDE0 VVSS 4449.5000 565.5000 E R90 - 01
IO: corner_lr CORNER 4449.5000 275.0000 SE R90 - 01

#######################################################################################
#  IOPin: <pinName> <x> <y> <side> <layerId> <width> <depth> {placed|fixed|-} <nrBox> #
#    PinBox: <llx> <lly> <urx> <ury>                                                  #
#######################################################################################

################################################################################
#  NetProperties: <net_name> [-special] [-def_prop {int|dbl|str} <value>]...   #
################################################################################
