#
# force the appropriate timing option in the various library files
#
# This is probably surplus as default is the only operating condition specified
#  in these files

setOpCond -forceLib event_buffer_memory_wc DEFAULT
setOpCond -forceLib event_buffer_memory_bc DEFAULT

setOpCond -forceLib R128X16M1_wc DEFAULT
setOpCond -forceLib R128X16M1_bc DEFAULT

setOpCond -forceLib R256X39M8_wc DEFAULT
setOpCond -forceLib R256X39M8_bc DEFAULT

setOpCond -forceLib R4096X30M16_wc DEFAULT
setOpCond -forceLib R4096X30M16_bc DEFAULT

setOpCond -forceLib DMEM_BLOCK_wc DEFAULT
setOpCond -forceLib DMEM_BLOCK_bc DEFAULT

setOpCond -forceLib umcl18u300t2_wc WORST
setOpCond -forceLib umcl18u300t2_bc BEST

setOpCond -forceLib umcl18u250t2_wc WORST
setOpCond -forceLib umcl18u250t2_bc BEST

setOpCond -forceLib i1200o4800d5_wc DEFAULT
setOpCond -forceLib i1200o4800d5_bc DEFAULT

setOpCond -forceLib chip_id_wc WORST
setOpCond -forceLib chip_id_bc BEST

setOpCond -max WORST -maxLibrary umcl18u250t2_wc -min BEST -minLibrary umcl18u250t2_bc
setOpCond {}


setExtractRCMode -detail -assumeMetFill 0.5

# the following is the default
setTimingLibrary -late max -early min
