-- 
-- Copyright (C) 2001 Virtual Silicon Technology Inc.. All Rights Reserved.
-- eSi, eSi-Route, eSi-Pad, eSi-RAM, eSi-ROM, eSi-PLL,
-- The Heart of Great Silicon(R), Silicon Ready(R), IP Ambassador,
-- Design Service Ambassador, and Virtual Silicon are trademarks
-- of Virtual Silicon Technology Inc.
-- 
-- Virtual Silicon Technology Inc.
-- 1200 Crossman Ave Suite 200
-- Sunnyvale, CA 94089-1116
-- Phone : 408-548-2700
-- Fax : 408-548-2750
-- Web Site : www.virtual-silicon.com
-- 
-- VST Library Release: UMCL18U420T2_1.3
-- 
-- Two-Port RAM 128 words by 16 bits
-- column mux = 1
-- bytewrite  = n
-- tristate   = n
-- test       = n
-- powerbus   = n
-- frequency  = 120
-- 
--  VITAL Model 
-- 

LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.all;

ENTITY R128X16M1 IS
--
-- COMPILER VERSION  : 1.1
-- GENERATED DATE    : Fri Mar 14 16:16:46 MET 2003
--  NUMBER_OF_WORDS  : 128 words
--  (ADDRESS_WIDTH   : 7 bits)
--  DATA_WIDTH       : 16 bits
--  TRISTATE OPTION  : No
--  BYTEWRITE OPTION : No
--  TEST OPTION      : None
--  MODEL OPTION     : Timing
--

  PORT ( RCK    : in  std_logic;
         REN    : in  std_logic;
         RADR   : in  std_logic_vector(6 downto 0);
         WCK    : in  std_logic;
         WEN    : in  std_logic;
         WADR   : in  std_logic_vector(6 downto 0);
         DI     : in  std_logic_vector(15 downto 0);
         DOUT   : out std_logic_vector(15 downto 0) );

END R128X16M1;

ARCHITECTURE R128X16M1_behavior OF R128X16M1 IS

BEGIN
END R128X16M1_behavior;

