.param
* Copyright (C) 2001 Virtual Silicon Technology Inc.. All Rights Reserved
* eSi, eSi-Route, eSi-Pad, eSi-RAM, eSi-ROM, eSi-PLL,
* The Heart of Great Silicon(R), Silicon Ready(R), IP Ambassador,
* Design Service Ambassador, and Virtual Silicon are trademarks
* of Virtual Silicon Technology Inc.
* 
* Virtual Silicon Technology Inc.
* 1200 Crossman Ave Suite 200
* Sunnyvale, CA 94089-1116
* Phone : 408-548-2700
* Fax : 408-548-2750
* Web Site : www.virtual-silicon.com
* VST Library Release:  UMCL18U420T2_1.3
* Two-Port RAM 128 words by 16 bits
* column mux = 1 
* test       = n 
* powerbus   = o
* frequency  = 120

.GLOBAL VDD VSS

.SUBCKT R128X16M1 DI[0] DOUT[0] DI[1] DOUT[1] DI[2] DOUT[2]
+    DI[3] DOUT[3] DI[4] DOUT[4] DI[5] DOUT[5] DI[6] DOUT[6]
+    DI[7] DOUT[7] DI[8] DOUT[8] DI[9] DOUT[9] DI[10] DOUT[10]
+    DI[11] DOUT[11] DI[12] DOUT[12] DI[13] DOUT[13] DI[14] DOUT[14]
+    DI[15] DOUT[15] RADR[0] WADR[0] RADR[1] WADR[1] RADR[2] WADR[2]
+    RADR[3] WADR[3] RADR[4] WADR[4] RADR[5] WADR[5] RADR[6] WADR[6]
+    RCK REN WCK WEN
XIB RADR[0] RADR[1] RA0 RA1 RA2 RA3 DBLR
+    DISPDNR ENPDR DRXP RCK REN TIDR BR[0] BRN[0]
+    BW[0] BWN[0] BR[1] BRN[1] BW[1] BWN[1] BR[2] BRN[2]
+    BW[2] BWN[2] BR[3] BRN[3] BW[3] BWN[3] BR[4] BRN[4]
+    BW[4] BWN[4] BR[5] BRN[5] BW[5] BWN[5] BR[6] BRN[6]
+    BW[6] BWN[6] BR[7] BRN[7] BW[7] BWN[7] BR[8] BRN[8]
+    BW[8] BWN[8] BR[9] BRN[9] BW[9] BWN[9] BR[10] BRN[10]
+    BW[10] BWN[10] BR[11] BRN[11] BW[11] BWN[11] BR[12] BRN[12]
+    BW[12] BWN[12] BR[13] BRN[13] BW[13] BWN[13] BR[14] BRN[14]
+    BW[14] BWN[14] BR[15] BRN[15] BW[15] BWN[15] DI[0] DOUT[0]
+    DI[1] DOUT[1] DI[2] DOUT[2] DI[3] DOUT[3] DI[4] DOUT[4]
+    DI[5] DOUT[5] DI[6] DOUT[6] DI[7] DOUT[7] DI[8] DOUT[8]
+    DI[9] DOUT[9] DI[10] DOUT[10] DI[11] DOUT[11] DI[12] DOUT[12]
+    DI[13] DOUT[13] DI[14] DOUT[14] DI[15] DOUT[15] SD SDN
+    WADR[0] WADR[1] WA0 WA1 WA2 WA3 DISPDNW ENPDW
+    TIDW NC0 DWXP IWCK WCK WEN R128X16M1BOT
XIT RCK SD SDN TIDR NC1 ENPDR DRXP
+    DBLR RADR[2] RADR[3] RADR[4] RADR[5] RADR[6] RA0 RA1
+    RA2 RA3 DISPDNR DISPDNW BR[0] BRN[0] BW[0] BWN[0]
+    BR[1] BRN[1] BW[1] BWN[1] BR[2] BRN[2] BW[2] BWN[2]
+    BR[3] BRN[3] BW[3] BWN[3] BR[4] BRN[4] BW[4] BWN[4]
+    BR[5] BRN[5] BW[5] BWN[5] BR[6] BRN[6] BW[6] BWN[6]
+    BR[7] BRN[7] BW[7] BWN[7] BR[8] BRN[8] BW[8] BWN[8]
+    BR[9] BRN[9] BW[9] BWN[9] BR[10] BRN[10] BW[10] BWN[10]
+    BR[11] BRN[11] BW[11] BWN[11] BR[12] BRN[12] BW[12] BWN[12]
+    BR[13] BRN[13] BW[13] BWN[13] BR[14] BRN[14] BW[14] BWN[14]
+    BR[15] BRN[15] BW[15] BWN[15] IWCK SD SDN TIDW
+    NC2 ENPDW DWXP NC3 WADR[2] WADR[3] WADR[4] WADR[5]
+    WADR[6] WA0 WA1 WA2 WA3 R128X16M1TOP
.ENDS

.SUBCKT R128X16M1BOT RADR[0] RADR[1] RA0 RA1 RA2 RA3
+    DBLR DISPDNR ENPDR DRXP RCK REN TOQR BR[0]
+    BRN[0] BW[0] BWN[0] BR[1] BRN[1] BW[1] BWN[1] BR[2]
+    BRN[2] BW[2] BWN[2] BR[3] BRN[3] BW[3] BWN[3] BR[4]
+    BRN[4] BW[4] BWN[4] BR[5] BRN[5] BW[5] BWN[5] BR[6]
+    BRN[6] BW[6] BWN[6] BR[7] BRN[7] BW[7] BWN[7] BR[8]
+    BRN[8] BW[8] BWN[8] BR[9] BRN[9] BW[9] BWN[9] BR[10]
+    BRN[10] BW[10] BWN[10] BR[11] BRN[11] BW[11] BWN[11] BR[12]
+    BRN[12] BW[12] BWN[12] BR[13] BRN[13] BW[13] BWN[13] BR[14]
+    BRN[14] BW[14] BWN[14] BR[15] BRN[15] BW[15] BWN[15] DI[0]
+    DOUT[0] DI[1] DOUT[1] DI[2] DOUT[2] DI[3] DOUT[3] DI[4]
+    DOUT[4] DI[5] DOUT[5] DI[6] DOUT[6] DI[7] DOUT[7] DI[8]
+    DOUT[8] DI[9] DOUT[9] DI[10] DOUT[10] DI[11] DOUT[11] DI[12]
+    DOUT[12] DI[13] DOUT[13] DI[14] DOUT[14] DI[15] DOUT[15] SD
+    SDN WADR[0] WADR[1] WA0 WA1 WA2 WA3 DISPDNW
+    ENPDW TOQW TOD DWXP IWCK WCK WEN
XIR WA0 WA1 WA2 WA3 NC0 BWN[15] DISPDNW
+    DWXP ENPDW IWCK MCK MCKN SCK SCKN SD
+    SDN SR SRN SS SSN VSS VSS VSS
+    TOD TOQW NC1 VSS VSS VSS WADR[0] WADR[1]
+    WCK WEN VSST3WCTB00
XIM IBYP IBYPN ISO MCK RPC SCKN SD
+    SDN SNS SRN SSN SS SR MCKN SCK
+    SIN DOUT[0] DI[0] BR[0] BW[0] BRN[0] BWN[0] DOUT[1]
+    DI[1] BR[1] BW[1] BRN[1] BWN[1] DOUT[2] DI[2] BR[2]
+    BW[2] BRN[2] BWN[2] DOUT[3] DI[3] BR[3] BW[3] BRN[3]
+    BWN[3] DOUT[4] DI[4] BR[4] BW[4] BRN[4] BWN[4] DOUT[5]
+    DI[5] BR[5] BW[5] BRN[5] BWN[5] DOUT[6] DI[6] BR[6]
+    BW[6] BRN[6] BWN[6] DOUT[7] DI[7] BR[7] BW[7] BRN[7]
+    BWN[7] DOUT[8] DI[8] BR[8] BW[8] BRN[8] BWN[8] DOUT[9]
+    DI[9] BR[9] BW[9] BRN[9] BWN[9] DOUT[10] DI[10] BR[10]
+    BW[10] BRN[10] BWN[10] DOUT[11] DI[11] BR[11] BW[11] BRN[11]
+    BWN[11] DOUT[12] DI[12] BR[12] BW[12] BRN[12] BWN[12] DOUT[13]
+    DI[13] BR[13] BW[13] BRN[13] BWN[13] DOUT[14] DI[14] BR[14]
+    BW[14] BRN[14] BWN[14] DOUT[15] DI[15] BR[15] BW[15] BRN[15]
+    BWN[15] R128X16M1IOA
XIL RA0 RA1 RA2 RA3 VSS DBLR DISPDNR
+    DRXP ENPDR IBYP IBYPN ISO RADR[0] RADR[1] RCK
+    REN RPC SD SDN SIN SNS VSS VSS
+    VSS TOQR NC2 VSST3RCTB00
.ENDS

.SUBCKT VSST3WCTB00 A0 A1 A2 A3 BCKN BWN
+    DISPDN DWXP ENPD IWCK MCK MCKN SCK SCKN
+    SD SDN SR SRN SS SSN TCE TIWADR
+    TIWEN TOD TOQ TOWEN TRCN TSE TWCK WADR0
+    WADR1 WCK WEN
X3I594 TOD VSST3DIODE AREA=3.648E-13
X3I589 TOD BWN VSST3INV LN=0.18U WN=.98U LP=0.18U WP=1.98U
X3I552 IWCK WADR0 N3N303 N3N567 SD SDN TIWADR
+    N3N558 VSST3WAFB00
X3I551 IWCK WADR1 N3N488 N3N542 SD SDN N3N558
+    TOQ VSST3WAFB00
X3I550 ENPD DISPDN N3N567 N3N542 A0 VSST3XP8B00
X3I545 ENPD DISPDN N3N303 N3N542 A1 VSST3XP8B00
X3I540 ENPD DISPDN N3N567 N3N488 A2 VSST3XP8B00
X3I487 ENPD DISPDN N3N303 N3N488 A3 VSST3XP8B00
X2I99 N2N100 TRCN VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=2.24U
X2I81 SSN N2N82 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I80 N2N82 N2N65 VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=2.24U
X2I78 N2N76 N2N73 VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=2.24U
X2I77 SRN N2N76 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I74 TSE N2N100 N2N73 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X2I72 SR N2N73 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I70 SD TSE VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I66 TSE TRCN N2N65 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X2I64 SS N2N65 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I60 N2N58 TSE VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=2.24U
X2I59 SDN N2N58 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I103 TSE VSST3DIODE AREA=3.648E-13
X2I102 TRCN VSST3DIODE AREA=3.648E-13
X1I745 TIWEN VSST3DIODE AREA=3.648E-13
X1I741 TCE VSST3DIODE AREA=3.648E-13
X1I740 WCK VSST3DIODE AREA=3.648E-13
X1I739 TWCK VSST3DIODE AREA=3.648E-13
X1I738 BCKN IWCK VSST3INV LN=0.18U WN=1.7U LP=0.18U WP=3.4U
X1I735 PUL SRB WSR VSST3NAND2 LN2=0.18U WN2=1.88U LP2=0.18U
+    WP2=1.88U LN1=0.18U WN1=1.88U LP1=0.18U WP1=1.88U
X1I727 W1 SCKN W3 VSST3NAND2 LN2=0.18U WN2=1.88U LP2=0.18U
+    WP2=1.8U LN1=0.18U WN1=1.88U LP1=0.18U WP1=1.8U
X1I726 W1 SCKN W3 VSST3NAND2 LN2=0.18U WN2=1.88U LP2=0.18U
+    WP2=1.88U LN1=0.18U WN1=1.88U LP1=0.18U WP1=1.88U
X1I705 TCEN TCE VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=1.5U
X1I703 SCK W6 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
X1I702 SCKN W7 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
X1I701 W7 W6 VSST3INV LN=0.18U WN=2.24U LP=0.18U WP=4.5U
M1I691 N1N685 SDN VSS VSS N L=0.18U W=1.88U
X1I687 N1N685 QN SD SDN VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
X1I681 SDN IWCK WSR N1N685 W6 VSST3SCKSR
X1I639 VDD DISPDN QN WSR DWXP VSST3XP8B00
X1I495 MCK W4 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
X1I494 W4 W3 VSST3INV LN=0.18U WN=2.24U LP=0.18U WP=4.5U
X1I493 MCKN W3 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
X1I489 IWCK W1 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X1I488 W1 TWCK TCE TCEN VSST3INVT LN=0.18U WN=4.5U
+    LP=0.18U WP=9U
X1I487 W1 WCK TCEN TCE VSST3INVT LN=0.18U WN=4.5U
+    LP=0.18U WP=9U
X1I480 QN WSR N99 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X1I402 IWCK N1 VSST3DELAY
XWF TIWEN TOWEN WEN QN IWCK SD SDN
+    VSST3WCFB00
X1I311 ENPD N99 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X1I263 DISPDN WSR SRB VSST3NAND2 LN2=0.18U WN2=1.88U LP2=0.18U
+    WP2=1.88U LN1=0.18U WN1=1.88U LP1=0.18U WP1=1.88U
X1I260 IWCK N1 PUL VSST3NAND2 LN2=0.18U WN2=0.76U LP2=0.18U
+    WP2=0.76U LN1=0.18U WN1=0.76U LP1=0.18U WP1=0.76U
.ENDS

.SUBCKT VSST3DIODE IN AREA=3.64E-13
D1I23 VSS IN DN AREA=AREA
.ENDS

.SUBCKT VSST3INV OUT IN LN=1U WN=1U LP=1U WP=1U
MN OUT IN VSS VSS N L=LN W=WN
MP OUT IN VDD VDD P L=LP W=WP
.ENDS

.SUBCKT VSST3WAFB00 CK D Q QN SD SDN
+    TID TOQ
X1I212 D VSST3DIODE AREA=3.648E-13
X1I211 TID VSST3DIODE AREA=3.648E-13
XM15 SQ MQ CK CKN VSST3TGATE LN=0.18U WN=1.52U
+    LP=0.18U WP=2.24U
X1I209 MQN MUX CKN CK VSST3TGATE LN=0.18U WN=0.46U
+    LP=0.18U WP=0.9U
X1I208 MUX TID SDN SD VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.9U
X1I207 MUX D SD SDN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.9U
X1I199 MQN MQ CK CKN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I197 SQ SQN CKN CK VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I191 CKN CK VSST3INV LN=0.18U WN=1.0U LP=0.18U WP=1.52U
X1I187 TOQ SQN VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I184 QN SQ VSST3INV LN=0.18U WN=2.25U LP=0.18U WP=4.50U
X1I171 SQN SQ VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I168 MQ MQN VSST3INV LN=0.18U WN=1.52U LP=0.18U WP=3U
X1I14 Q SQN VSST3INV LN=0.18U WN=2.25U LP=0.18U WP=4.50U
.ENDS

.SUBCKT VSST3TGATE OUT IN CLK CLKB LN=1U WN=1U
+     LP=1U WP=1U
MN OUT CLK IN VSS N L=LN W=WN
MP OUT CLKB IN VDD P L=LP W=WP
.ENDS

.SUBCKT VSST3INVT OUT IN CLK CLKB LN=1U WN=1U
+     LP=1U WP=1U
MN2 VSS IN N1N21 VSS N L=LN W=WN
MP2 VDD IN N1N6 VDD P L=LP W=WP
MN1 N1N21 CLK OUT VSS N L=LN W=WN
MP1 N1N6 CLKB OUT VDD P L=LP W=WP
.ENDS

.SUBCKT VSST3XP8B00 ENPD IN1 IN2 IN3 XP
X1I241 ENPD IN1 IN2 IN3 XPN VSST3NAND4 LN=0.18U
+    WN=4.5U LP=0.18U WP=1.5U
X1I239 XP XPN VSST3INV LN=0.18U WN=4.46U LP=0.18U WP=18U
.ENDS

.SUBCKT VSST3NAND4 IN1 IN2 IN3 IN4 OUT LN=1U
+     WN=1U LP=1U WP=1U
MN4 N1N22 IN4 VSS VSS N L=LN W=WN
MN3 N1N20 IN3 N1N22 VSS N L=LN W=WN
MP4 OUT IN4 VDD VDD P L=LP W=WP
MP3 OUT IN3 VDD VDD P L=LP W=WP
MP1 OUT IN1 VDD VDD P L=LP W=WP
MN2 N1N6 IN2 N1N20 VSS N L=LN W=WN
MN1 OUT IN1 N1N6 VSS N L=LN W=WN
MP2 OUT IN2 VDD VDD P L=LP W=WP
.ENDS

.SUBCKT VSST3NAND2 IN1 IN2 OUT LN2=1U WN2=1U LP2=1U
+     WP2=1U LN1=1U WN1=1U LP1=1U WP1=1U
MP1 OUT IN1 VDD VDD P L=LP1 W=WP1
MN2 N1N6 IN2 VSS VSS N L=LN2 W=WN2
MN1 OUT IN1 N1N6 VSS N L=LN1 W=WN1
MP2 OUT IN2 VDD VDD P L=LP2 W=WP2
.ENDS

.SUBCKT VSST3SCKSR A B C D OUT
M1I110 N1N127 B VSS VSS N L=0.18U W=1.88U
M1I109 OUT A N1N127 VSS N L=0.18U W=1.88U
M1I108 N1N129 D VSS VSS N L=0.18U W=1.88U
M1I107 OUT D N1N111 VDD P L=0.18U W=1.88U
M1I106 OUT C N1N111 VDD P L=0.18U W=1.88U
M1I105 N1N111 B VDD VDD P L=0.18U W=1.88U
M1I104 N1N111 A VDD VDD P L=0.18U W=1.88U
M1I103 OUT C N1N129 VSS N L=0.18U W=1.88U
.ENDS

.SUBCKT VSST3DELAY IN OUT
X1I145 IN N4 OUT VSST3NAND2 LN2=0.18U WN2=0.45U LP2=0.18U
+    WP2=0.45U LN1=0.18U WN1=0.45U LP1=0.18U WP1=0.45U
X1I144 IN N2 N3 VSST3NAND2 LN2=0.18U WN2=0.45U LP2=0.18U
+    WP2=0.45U LN1=0.18U WN1=0.45U LP1=0.18U WP1=0.45U
X1I143 IN IN N1 VSST3NAND2 LN2=0.18U WN2=0.45U LP2=0.18U
+    WP2=0.45U LN1=0.18U WN1=0.45U LP1=0.18U WP1=0.45U
X1I141 N4 N3 VSST3INV LN=0.18U WN=0.45U LP=0.18U WP=0.90U
X1I134 N2 N1 VSST3INV LN=0.18U WN=0.45U LP=0.18U WP=0.90U
.ENDS

.SUBCKT VSST3WCFB00 BIST_D BIST_Q D QN RCK SD
+    SDN
X1I223 D VSST3DIODE AREA=3.648E-13
X1I222 BIST_D VSST3DIODE AREA=3.648E-13
X1I216 QN MQ RCK CKN VSST3INVT LN=0.18U WN=1.12U
+    LP=0.18U WP=2.26U
X1I210 QN SQN CKN RCK VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I209 MQN MQ RCK CKN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I208 MUX BIST_D SDN SD VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.90U
X1I207 MUX D SD SDN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.90U
X1I199 SQN QN VSST3INV LN=0.18U WN=0.46U LP=0.18U WP=0.90U
X1I198 QN MQ RCK CKN VSST3INVT LN=0.18U WN=1.12U
+    LP=0.18U WP=2.26U
X1I191 CKN RCK VSST3INV LN=0.18U WN=1.06U LP=0.18U WP=2.10U
X1I187 BIST_Q QN VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I168 MQ MQN VSST3INV LN=0.18U WN=1.52U LP=0.18U WP=3U
X1I149 MQN MUX CKN RCK VSST3TGATE LN=0.18U WN=0.46U
+    LP=0.18U WP=0.90U
.ENDS

.SUBCKT R128X16M1IOA IBYP IBYPN ISO MCK RPC SCKN
+    SD SDN SNS SRN SSN SS SR MCKN
+    SCK SIN DOUT[0] DI[0] BR[0] BW[0] BRN[0] BWN[0]
+    DOUT[1] DI[1] BR[1] BW[1] BRN[1] BWN[1] DOUT[2] DI[2]
+    BR[2] BW[2] BRN[2] BWN[2] DOUT[3] DI[3] BR[3] BW[3]
+    BRN[3] BWN[3] DOUT[4] DI[4] BR[4] BW[4] BRN[4] BWN[4]
+    DOUT[5] DI[5] BR[5] BW[5] BRN[5] BWN[5] DOUT[6] DI[6]
+    BR[6] BW[6] BRN[6] BWN[6] DOUT[7] DI[7] BR[7] BW[7]
+    BRN[7] BWN[7] DOUT[8] DI[8] BR[8] BW[8] BRN[8] BWN[8]
+    DOUT[9] DI[9] BR[9] BW[9] BRN[9] BWN[9] DOUT[10] DI[10]
+    BR[10] BW[10] BRN[10] BWN[10] DOUT[11] DI[11] BR[11] BW[11]
+    BRN[11] BWN[11] DOUT[12] DI[12] BR[12] BW[12] BRN[12] BWN[12]
+    DOUT[13] DI[13] BR[13] BW[13] BRN[13] BWN[13] DOUT[14] DI[14]
+    BR[14] BW[14] BRN[14] BWN[14] DOUT[15] DI[15] BR[15] BW[15]
+    BRN[15] BWN[15]
XI15 BR[15] BRN[15] BW[15] BWN[15] DI[15] DOUT[15] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[14] SNS SR SRN SS SSN
+    VSST3IOCB00
XI14 BR[14] BRN[14] BW[14] BWN[14] DI[14] DOUT[14] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[13] SNS SR SRN SS SSN
+    VSST3IOCB00
XI13 BR[13] BRN[13] BW[13] BWN[13] DI[13] DOUT[13] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[12] SNS SR SRN SS SSN
+    VSST3IOCB00
XI12 BR[12] BRN[12] BW[12] BWN[12] DI[12] DOUT[12] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[11] SNS SR SRN SS SSN
+    VSST3IOCB00
XI11 BR[11] BRN[11] BW[11] BWN[11] DI[11] DOUT[11] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[10] SNS SR SRN SS SSN
+    VSST3IOCB00
XI10 BR[10] BRN[10] BW[10] BWN[10] DI[10] DOUT[10] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[9] SNS SR SRN SS SSN
+    VSST3IOCB00
XI09 BR[9] BRN[9] BW[9] BWN[9] DI[9] DOUT[9] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[8] SNS SR SRN SS SSN
+    VSST3IOCB00
XI08 BR[8] BRN[8] BW[8] BWN[8] DI[8] DOUT[8] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[7] SNS SR SRN SS SSN
+    VSST3IOCB00
XI07 BR[7] BRN[7] BW[7] BWN[7] DI[7] DOUT[7] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[6] SNS SR SRN SS SSN
+    VSST3IOCB00
XI06 BR[6] BRN[6] BW[6] BWN[6] DI[6] DOUT[6] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[5] SNS SR SRN SS SSN
+    VSST3IOCB00
XI05 BR[5] BRN[5] BW[5] BWN[5] DI[5] DOUT[5] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[4] SNS SR SRN SS SSN
+    VSST3IOCB00
XI04 BR[4] BRN[4] BW[4] BWN[4] DI[4] DOUT[4] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[3] SNS SR SRN SS SSN
+    VSST3IOCB00
XI03 BR[3] BRN[3] BW[3] BWN[3] DI[3] DOUT[3] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[2] SNS SR SRN SS SSN
+    VSST3IOCB00
XI02 BR[2] BRN[2] BW[2] BWN[2] DI[2] DOUT[2] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[1] SNS SR SRN SS SSN
+    VSST3IOCB00
XI01 BR[1] BRN[1] BW[1] BWN[1] DI[1] DOUT[1] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN BWN[0] SNS SR SRN SS SSN
+    VSST3IOCB00
XI00 BR[0] BRN[0] BW[0] BWN[0] DI[0] DOUT[0] IBYP
+    IBYPN ISO MCK MCKN RPC RPCN SCK SCKN
+    SD SDN SIN SNS SR SRN SS SSN
+    VSST3IOCB00
.ENDS

.SUBCKT VSST3IOCB00 BR BRN BW BWN DI DOUT
+    IBYP IBYPN ISO MCK MCKN RPC RPCN SCK
+    SCKN SD SDN SIN SNS SR SRN SS
+    SSN
XSA BR BRN ISO RPC RPCN SA SAN
+    SNS VSST3SAMB00
XDIF BW BWN DI MCK MCKN RDN SCK
+    SCKN SD SDN SIN SR SRN SS SSN
+    VSST3DIFB00
XDOL IBYP IBYPN DOUT RDN SA SAN BWN
+    VSST3DOLB00
.ENDS

.SUBCKT VSST3SAMB00 BR BRN ISO RPC RPCN SA
+    SAN SNS
X1I266 RPCN RPC VSST3INV LN=0.18U WN=1.0U LP=0.18U WP=2.0U
M1I257 BRN RPCN BR VDD P L=0.18U W=6U
M1I246 N1N215 SNS VSS VSS N L=0.18U W=0.45U
MSAN SA SAN N1N215 VSS N L=0.2U W=0.9U
M1I244 SA SAN VDD VDD P L=0.2U W=0.9U
M1I207 BRN ISO SAN VDD P L=0.18U W=1.35U
M1I206 BR ISO SA VDD P L=0.18U W=1.35U
M1I204 SAN SA VDD VDD P L=0.2U W=0.9U
M1I203 BRN RPCN VDD VDD P L=0.18U W=6U
M1I202 BR RPCN VDD VDD P L=0.18U W=6U
MSA SAN SA N1N215 VSS N L=0.2U W=0.9U
.ENDS

.SUBCKT VSST3DIFB00 BW BWN DI MCK MCKN RDN
+    SCK SCKN SD SDN SIN SR SRN SS
+    SSN
X1I23 N1N24 MQ SCK SCKN VSST3TGATE LN=0.18U WN=0.98U
+    LP=0.18U WP=1.36U
X1I22 N1N24 N1N69 SCKN SCK VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
X1I212 DI VSST3DIODE AREA=3.648E-13
X1I211 MUX DI SD SDN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.66U
X1I184 BWN N1N24 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X1I172 N1N50 MQ VSST3INV LN=0.18U WN=0.60U LP=0.18U WP=0.84U
X1I171 SQN N1N24 VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.36U
X1I169 N1N69 SQN VSST3INV LN=0.18U WN=0.60U LP=0.18U WP=0.84U
X1I168 MQ N1N37 VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.36U
X1I150 N1N37 N1N50 MCK MCKN VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
X1I149 N1N37 MUX MCKN MCK VSST3TGATE LN=0.18U WN=0.46U
+    LP=0.18U WP=0.66U
X1I147 MUX SIN SS SSN VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
X1I14 BW SQN VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X1I118 MUX RDN SR SRN VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
.ENDS

.SUBCKT VSST3DOLB00 BYP BYPN DOUT RDN SA SAN
+    SIN
X1I378 DOUT VSST3DIODE AREA=3.648E-13
X1I374 RDN LQN VSST3INV LN=0.18U WN=1.13U LP=0.18U WP=2.25U
M1I365 VSS SAN VSS VSS N L=0.18U W=0.45U
X1I361 N1 SA VSST3INV LN=0.18U WN=0.45U LP=0.18U WP=0.9U
X1I358 DOUT MUX VSST3INV LN=0.18U WN=6.75U LP=0.18U WP=13.5U
X1I350 LQ LQN VSST3INV LN=0.18U WN=0.46U LP=0.18U WP=0.46U
M1I338 LQN LQ VDD VDD P L=0.46U W=0.46U
X1I335 MUX RDN BYPN BYP VSST3TGATE LN=0.18U WN=0.9U
+    LP=0.18U WP=1.2U
X1I334 MUX SIN BYP BYPN VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=0.84U
M1I328 LQN N1 VSS VSS N L=0.18U W=1.12U
M1I327 LQN SAN VDD VDD P L=0.18U W=0.9U
M1I319 LQN LQ VSS VSS N L=0.46U W=0.46U
.ENDS

.SUBCKT VSST3RCTB00 A0 A1 A2 A3 BYP DBL
+    DISPDN DRXP ENPD IBYP IBYPN ISO RADR0 RADR1
+    RCK REN RPC SD SDN SIN SNS TID
+    TIRADR TIREN TOQ TOREN
X2I612 IBYPN VSST3DIODE AREA=3.648E-13
X2I609 BYP VSST3DIODE AREA=3.648E-13
X2I607 TID VSST3DIODE AREA=3.648E-13
X2I603 IBYP VSST3DIODE AREA=3.648E-13
X2I589 SIN TID VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I587 IBYPN BYP VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I585 N2N584 BYP VSST3INV LN=0.18U WN=1.12U LP=0.18U WP=2.26U
X2I582 IBYP N2N584 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X2I552 RCK RADR0 N2N303 N2N567 SD SDN TIRADR
+    N2N558 VSST3ADFB00
X2I551 RCK RADR1 N2N488 N2N542 SD SDN N2N558
+    TOQ VSST3ADFB00
X2I550 ENPD DISPDN N2N567 N2N542 A0 VSST3XP8B00
X2I545 ENPD DISPDN N2N303 N2N542 A1 VSST3XP8B00
X2I540 ENPD DISPDN N2N567 N2N488 A2 VSST3XP8B00
X2I487 ENPD DISPDN N2N303 N2N488 A3 VSST3XP8B00
X1I545 TIREN VSST3DIODE AREA=3.648E-13
X1I543 SNS VSST3DIODE AREA=3.648E-13
X1I540 RCK VSST3DIODE AREA=3.648E-13
X1I539 RPC N15 RPCN VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X1I536 PUL SRB SR VSST3NAND2 LN2=0.18U WN2=1.4U LP2=0.18U
+    WP2=1.4U LN1=0.18U WN1=1.4U LP1=0.18U WP1=1.4U
M1I529 DBL RPCN VDD VDD P L=0.18U W=18U
X1I522 N15 N99 N7 VSST3NAND2 LN2=0.18U WN2=0.76U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=0.76U LP1=0.18U WP1=1.5U
X1I511 N5 N15 VSST3INV LN=0.18U WN=0.75U LP=0.18U WP=1.5U
X1I502 N15 DRXP VSST3INV LN=0.18U WN=0.9U LP=0.18U WP=1.8U
X1I487 VDD DISPDN QN SR DRXP VSST3XP8B00
X1I480 QN SR N99 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X1I457 N4 DBL VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=1.5U
X1I453 N4 N5 N8 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X1I402 RCK N1 VSST3DELAY
X1I368 ISO N8 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
XRCF TIREN TOREN REN QN RCK SD SDN
+    VSST3RCFB00
X1I329 N4 N5 N6 VSST3NAND2 LN2=0.18U WN2=3U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=3U LP1=0.18U WP1=1.5U
X1I328 SNS N6 VSST3INV LN=0.18U WN=4.5U LP=0.18U WP=9U
X1I316 RPC N7 VSST3INV LN=0.18U WN=9U LP=0.18U WP=18U
X1I311 ENPD N99 VSST3INV LN=0.18U WN=6U LP=0.18U WP=18U
X1I263 DBL SR SRB VSST3NAND2 LN2=0.18U WN2=1.5U LP2=0.18U
+    WP2=1.5U LN1=0.18U WN1=1.5U LP1=0.18U WP1=1.5U
X1I260 RCK N1 PUL VSST3NAND2 LN2=0.18U WN2=0.76U LP2=0.18U
+    WP2=0.76U LN1=0.18U WN1=0.76U LP1=0.18U WP1=0.76U
.ENDS

.SUBCKT VSST3ADFB00 CK D Q QN SD SDN
+    TID TOQ
X1I23 SQ MQ CKD CKN VSST3TGATE LN=0.18U WN=1.52U
+    LP=0.18U WP=2.24U
X1I204 D VSST3DIODE AREA=3.648E-13
X1I203 TID VSST3DIODE AREA=3.648E-13
X1I199 MQN MQ CKD CKN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I198 MUX TID SDN SD VSST3INVT LN=0.18U WN=0.60U
+    LP=0.18U WP=1.26U
X1I197 SQ SQN CKN CKD VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I196 MUX D SD SDN VSST3INVT LN=0.18U WN=0.60U
+    LP=0.18U WP=1.26U
X1I191 CKD CKN VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=1.52U
X1I190 CKN CK VSST3INV LN=0.18U WN=0.76U LP=0.18U WP=0.76U
X1I187 TOQ SQN VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I184 QN SQ VSST3INV LN=0.18U WN=2.25U LP=0.18U WP=4.5U
X1I171 SQN SQ VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I168 MQ MQN VSST3INV LN=0.18U WN=1.52U LP=0.18U WP=3U
X1I149 MQN MUX CKN CKD VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=1.26U
X1I14 Q SQN VSST3INV LN=0.18U WN=2.25U LP=0.18U WP=4.5U
.ENDS

.SUBCKT VSST3RCFB00 BIST_D BIST_Q D QN RCK SD
+    SDN
X1I218 D VSST3DIODE AREA=3.648E-13
X1I217 BIST_D VSST3DIODE AREA=3.648E-13
X1I211 QN MQ CKD CKN VSST3INVT LN=0.18U WN=1.12U
+    LP=0.18U WP=2.26U
X1I210 QN SQN CKN CKD VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I209 MQN MQ CKD CKN VSST3INVT LN=0.18U WN=0.46U
+    LP=0.18U WP=0.46U
X1I208 MUX BIST_D SDN SD VSST3INVT LN=0.18U WN=0.60U
+    LP=0.18U WP=01.26U
X1I207 MUX D SD SDN VSST3INVT LN=0.18U WN=0.60U
+    LP=0.18U WP=1.26U
X1I199 SQN QN VSST3INV LN=0.18U WN=0.46U LP=0.18U WP=0.90U
X1I198 QN MQ CKD CKN VSST3INVT LN=0.18U WN=1.12U
+    LP=0.18U WP=2.26U
X1I191 CKD CKN VSST3INV LN=0.18U WN=1.06U LP=0.18U WP=2.10U
X1I190 CKN RCK VSST3INV LN=0.18U WN=1.06U LP=0.18U WP=1.06U
X1I187 BIST_Q QN VSST3INV LN=0.18U WN=0.98U LP=0.18U WP=1.96U
X1I168 MQ MQN VSST3INV LN=0.18U WN=1.52U LP=0.18U WP=3U
X1I149 MQN MUX CKN CKD VSST3TGATE LN=0.18U WN=0.60U
+    LP=0.18U WP=1.26U
.ENDS

.SUBCKT R128X16M1TOP RCK SDL SDNL TIDR TORADR ENPDR
+    DRXP DBLR RADR[2] RADR[3] RADR[4] RADR[5] RADR[6] RA0
+    RA1 RA2 RA3 DISPDNR DISPDNW BR[0] BRN[0] BW[0]
+    BWN[0] BR[1] BRN[1] BW[1] BWN[1] BR[2] BRN[2] BW[2]
+    BWN[2] BR[3] BRN[3] BW[3] BWN[3] BR[4] BRN[4] BW[4]
+    BWN[4] BR[5] BRN[5] BW[5] BWN[5] BR[6] BRN[6] BW[6]
+    BWN[6] BR[7] BRN[7] BW[7] BWN[7] BR[8] BRN[8] BW[8]
+    BWN[8] BR[9] BRN[9] BW[9] BWN[9] BR[10] BRN[10] BW[10]
+    BWN[10] BR[11] BRN[11] BW[11] BWN[11] BR[12] BRN[12] BW[12]
+    BWN[12] BR[13] BRN[13] BW[13] BWN[13] BR[14] BRN[14] BW[14]
+    BWN[14] BR[15] BRN[15] BW[15] BWN[15] IWCK SDR SDNR
+    TIDW TOWADR ENPDW DWXP DBLW WADR[2] WADR[3] WADR[4]
+    WADR[5] WADR[6] WA0 WA1 WA2 WA3
XIR IWCK SDR SDNR TIDW TOWADR ENPDW WADR[2]
+    WADR[3] WADR[4] WADR[5] WADR[6] WA0 WA1 WA2 WA3
+    W[0] W[1] W[2] W[3] W[4] W[5] W[6] W[7]
+    W[8] W[9] W[10] W[11] W[12] W[13] W[14] W[15]
+    W[16] W[17] W[18] W[19] W[20] W[21] W[22] W[23]
+    W[24] W[25] W[26] W[27] W[28] W[29] W[30] W[31]
+    W[32] W[33] W[34] W[35] W[36] W[37] W[38] W[39]
+    W[40] W[41] W[42] W[43] W[44] W[45] W[46] W[47]
+    W[48] W[49] W[50] W[51] W[52] W[53] W[54] W[55]
+    W[56] W[57] W[58] W[59] W[60] W[61] W[62] W[63]
+    W[64] W[65] W[66] W[67] W[68] W[69] W[70] W[71]
+    W[72] W[73] W[74] W[75] W[76] W[77] W[78] W[79]
+    W[80] W[81] W[82] W[83] W[84] W[85] W[86] W[87]
+    W[88] W[89] W[90] W[91] W[92] W[93] W[94] W[95]
+    W[96] W[97] W[98] W[99] W[100] W[101] W[102] W[103]
+    W[104] W[105] W[106] W[107] W[108] W[109] W[110] W[111]
+    W[112] W[113] W[114] W[115] W[116] W[117] W[118] W[119]
+    W[120] W[121] W[122] W[123] W[124] W[125] W[126] W[127]
+    DWXP DXDW DBLW R128X16M1XPXDW
XIM R[0] W[0] R[1] W[1] R[2] W[2] R[3]
+    W[3] R[4] W[4] R[5] W[5] R[6] W[6] R[7]
+    W[7] R[8] W[8] R[9] W[9] R[10] W[10] R[11]
+    W[11] R[12] W[12] R[13] W[13] R[14] W[14] R[15]
+    W[15] R[16] W[16] R[17] W[17] R[18] W[18] R[19]
+    W[19] R[20] W[20] R[21] W[21] R[22] W[22] R[23]
+    W[23] R[24] W[24] R[25] W[25] R[26] W[26] R[27]
+    W[27] R[28] W[28] R[29] W[29] R[30] W[30] R[31]
+    W[31] R[32] W[32] R[33] W[33] R[34] W[34] R[35]
+    W[35] R[36] W[36] R[37] W[37] R[38] W[38] R[39]
+    W[39] R[40] W[40] R[41] W[41] R[42] W[42] R[43]
+    W[43] R[44] W[44] R[45] W[45] R[46] W[46] R[47]
+    W[47] R[48] W[48] R[49] W[49] R[50] W[50] R[51]
+    W[51] R[52] W[52] R[53] W[53] R[54] W[54] R[55]
+    W[55] R[56] W[56] R[57] W[57] R[58] W[58] R[59]
+    W[59] R[60] W[60] R[61] W[61] R[62] W[62] R[63]
+    W[63] R[64] W[64] R[65] W[65] R[66] W[66] R[67]
+    W[67] R[68] W[68] R[69] W[69] R[70] W[70] R[71]
+    W[71] R[72] W[72] R[73] W[73] R[74] W[74] R[75]
+    W[75] R[76] W[76] R[77] W[77] R[78] W[78] R[79]
+    W[79] R[80] W[80] R[81] W[81] R[82] W[82] R[83]
+    W[83] R[84] W[84] R[85] W[85] R[86] W[86] R[87]
+    W[87] R[88] W[88] R[89] W[89] R[90] W[90] R[91]
+    W[91] R[92] W[92] R[93] W[93] R[94] W[94] R[95]
+    W[95] R[96] W[96] R[97] W[97] R[98] W[98] R[99]
+    W[99] R[100] W[100] R[101] W[101] R[102] W[102] R[103]
+    W[103] R[104] W[104] R[105] W[105] R[106] W[106] R[107]
+    W[107] R[108] W[108] R[109] W[109] R[110] W[110] R[111]
+    W[111] R[112] W[112] R[113] W[113] R[114] W[114] R[115]
+    W[115] R[116] W[116] R[117] W[117] R[118] W[118] R[119]
+    W[119] R[120] W[120] R[121] W[121] R[122] W[122] R[123]
+    W[123] R[124] W[124] R[125] W[125] R[126] W[126] R[127]
+    W[127] BR[0] BW[0] BRN[0] BWN[0] BR[1] BW[1] BRN[1]
+    BWN[1] BR[2] BW[2] BRN[2] BWN[2] BR[3] BW[3] BRN[3]
+    BWN[3] BR[4] BW[4] BRN[4] BWN[4] BR[5] BW[5] BRN[5]
+    BWN[5] BR[6] BW[6] BRN[6] BWN[6] BR[7] BW[7] BRN[7]
+    BWN[7] BR[8] BW[8] BRN[8] BWN[8] BR[9] BW[9] BRN[9]
+    BWN[9] BR[10] BW[10] BRN[10] BWN[10] BR[11] BW[11] BRN[11]
+    BWN[11] BR[12] BW[12] BRN[12] BWN[12] BR[13] BW[13] BRN[13]
+    BWN[13] BR[14] BW[14] BRN[14] BWN[14] BR[15] BW[15] BRN[15]
+    BWN[15] DISPDNR DISPDNW DXDW DXDR R128X16M1CA
XIL RCK SDL SDNL TIDR TORADR ENPDR RADR[2]
+    RADR[3] RADR[4] RADR[5] RADR[6] RA0 RA1 RA2 RA3
+    R[0] R[1] R[2] R[3] R[4] R[5] R[6] R[7]
+    R[8] R[9] R[10] R[11] R[12] R[13] R[14] R[15]
+    R[16] R[17] R[18] R[19] R[20] R[21] R[22] R[23]
+    R[24] R[25] R[26] R[27] R[28] R[29] R[30] R[31]
+    R[32] R[33] R[34] R[35] R[36] R[37] R[38] R[39]
+    R[40] R[41] R[42] R[43] R[44] R[45] R[46] R[47]
+    R[48] R[49] R[50] R[51] R[52] R[53] R[54] R[55]
+    R[56] R[57] R[58] R[59] R[60] R[61] R[62] R[63]
+    R[64] R[65] R[66] R[67] R[68] R[69] R[70] R[71]
+    R[72] R[73] R[74] R[75] R[76] R[77] R[78] R[79]
+    R[80] R[81] R[82] R[83] R[84] R[85] R[86] R[87]
+    R[88] R[89] R[90] R[91] R[92] R[93] R[94] R[95]
+    R[96] R[97] R[98] R[99] R[100] R[101] R[102] R[103]
+    R[104] R[105] R[106] R[107] R[108] R[109] R[110] R[111]
+    R[112] R[113] R[114] R[115] R[116] R[117] R[118] R[119]
+    R[120] R[121] R[122] R[123] R[124] R[125] R[126] R[127]
+    DRXP DXDR DBLR R128X16M1XPXDR
.ENDS

.SUBCKT R128X16M1XPXDW IWCK SD SDN TIDW TOWADR ENPDW
+    WADR[2] WADR[3] WADR[4] WADR[5] WADR[6] A0 A1 A2
+    A3 W[0] W[1] W[2] W[3] W[4] W[5] W[6]
+    W[7] W[8] W[9] W[10] W[11] W[12] W[13] W[14]
+    W[15] W[16] W[17] W[18] W[19] W[20] W[21] W[22]
+    W[23] W[24] W[25] W[26] W[27] W[28] W[29] W[30]
+    W[31] W[32] W[33] W[34] W[35] W[36] W[37] W[38]
+    W[39] W[40] W[41] W[42] W[43] W[44] W[45] W[46]
+    W[47] W[48] W[49] W[50] W[51] W[52] W[53] W[54]
+    W[55] W[56] W[57] W[58] W[59] W[60] W[61] W[62]
+    W[63] W[64] W[65] W[66] W[67] W[68] W[69] W[70]
+    W[71] W[72] W[73] W[74] W[75] W[76] W[77] W[78]
+    W[79] W[80] W[81] W[82] W[83] W[84] W[85] W[86]
+    W[87] W[88] W[89] W[90] W[91] W[92] W[93] W[94]
+    W[95] W[96] W[97] W[98] W[99] W[100] W[101] W[102]
+    W[103] W[104] W[105] W[106] W[107] W[108] W[109] W[110]
+    W[111] W[112] W[113] W[114] W[115] W[116] W[117] W[118]
+    W[119] W[120] W[121] W[122] W[123] W[124] W[125] W[126]
+    W[127] DWXP DXDW DBLW
XIDUM DXDW DBLW R128X16M1DUMCOLW
XIXD A0 A1 A2 A3 B0 B1 B2
+    B3 B4 B5 B6 B7 C0 C1 C2
+    C3 DWXP W[0] W[1] W[2] W[3] W[4] W[5]
+    W[6] W[7] W[8] W[9] W[10] W[11] W[12] W[13]
+    W[14] W[15] W[16] W[17] W[18] W[19] W[20] W[21]
+    W[22] W[23] W[24] W[25] W[26] W[27] W[28] W[29]
+    W[30] W[31] W[32] W[33] W[34] W[35] W[36] W[37]
+    W[38] W[39] W[40] W[41] W[42] W[43] W[44] W[45]
+    W[46] W[47] W[48] W[49] W[50] W[51] W[52] W[53]
+    W[54] W[55] W[56] W[57] W[58] W[59] W[60] W[61]
+    W[62] W[63] W[64] W[65] W[66] W[67] W[68] W[69]
+    W[70] W[71] W[72] W[73] W[74] W[75] W[76] W[77]
+    W[78] W[79] W[80] W[81] W[82] W[83] W[84] W[85]
+    W[86] W[87] W[88] W[89] W[90] W[91] W[92] W[93]
+    W[94] W[95] W[96] W[97] W[98] W[99] W[100] W[101]
+    W[102] W[103] W[104] W[105] W[106] W[107] W[108] W[109]
+    W[110] W[111] W[112] W[113] W[114] W[115] W[116] W[117]
+    W[118] W[119] W[120] W[121] W[122] W[123] W[124] W[125]
+    W[126] W[127] DXDW R128X16M1XDEC
XIXP WADR[2] WADR[3] WADR[4] B0 B1 B2 B3
+    B4 B5 B6 B7 WADR[5] WADR[6] C0 C1
+    C2 C3 IWCK SD SDN TIDW TOWADR ENPDW
+    R128X16M1XPREW
.ENDS

.SUBCKT R128X16M1DUMCOLW DXD DBL
XI127 DBL VSS VSST3BDCB00
XI126 DBL VSS VSST3BDCB00
XI125 DBL VSS VSST3BDCB00
XI124 DBL VSS VSST3BDCB00
XI123 DBL VSS VSST3BDCB00
XI122 DBL VSS VSST3BDCB00
XI121 DBL VSS VSST3BDCB00
XI120 DBL VSS VSST3BDCB00
XI119 DBL VSS VSST3BDCB00
XI118 DBL VSS VSST3BDCB00
XI117 DBL VSS VSST3BDCB00
XI116 DBL VSS VSST3BDCB00
XI115 DBL VSS VSST3BDCB00
XI114 DBL VSS VSST3BDCB00
XI113 DBL VSS VSST3BDCB00
XI112 DBL VSS VSST3BDCB00
XI111 DBL VSS VSST3BDCB00
XI110 DBL VSS VSST3BDCB00
XI109 DBL VSS VSST3BDCB00
XI108 DBL VSS VSST3BDCB00
XI107 DBL VSS VSST3BDCB00
XI106 DBL VSS VSST3BDCB00
XI105 DBL VSS VSST3BDCB00
XI104 DBL VSS VSST3BDCB00
XI103 DBL VSS VSST3BDCB00
XI102 DBL VSS VSST3BDCB00
XI101 DBL VSS VSST3BDCB00
XI100 DBL VSS VSST3BDCB00
XI099 DBL VSS VSST3BDCB00
XI098 DBL VSS VSST3BDCB00
XI097 DBL VSS VSST3BDCB00
XI096 DBL VSS VSST3BDCB00
XI095 DBL VSS VSST3BDCB00
XI094 DBL VSS VSST3BDCB00
XI093 DBL VSS VSST3BDCB00
XI092 DBL VSS VSST3BDCB00
XI091 DBL VSS VSST3BDCB00
XI090 DBL VSS VSST3BDCB00
XI089 DBL VSS VSST3BDCB00
XI088 DBL VSS VSST3BDCB00
XI087 DBL VSS VSST3BDCB00
XI086 DBL VSS VSST3BDCB00
XI085 DBL VSS VSST3BDCB00
XI084 DBL VSS VSST3BDCB00
XI083 DBL VSS VSST3BDCB00
XI082 DBL VSS VSST3BDCB00
XI081 DBL VSS VSST3BDCB00
XI080 DBL VSS VSST3BDCB00
XI079 DBL VSS VSST3BDCB00
XI078 DBL VSS VSST3BDCB00
XI077 DBL VSS VSST3BDCB00
XI076 DBL VSS VSST3BDCB00
XI075 DBL VSS VSST3BDCB00
XI074 DBL VSS VSST3BDCB00
XI073 DBL VSS VSST3BDCB00
XI072 DBL VSS VSST3BDCB00
XI071 DBL VSS VSST3BDCB00
XI070 DBL VSS VSST3BDCB00
XI069 DBL VSS VSST3BDCB00
XI068 DBL VSS VSST3BDCB00
XI067 DBL VSS VSST3BDCB00
XI066 DBL VSS VSST3BDCB00
XI065 DBL VSS VSST3BDCB00
XI064 DBL VSS VSST3BDCB00
XI063 DBL VSS VSST3BDCB00
XI062 DBL VSS VSST3BDCB00
XI061 DBL VSS VSST3BDCB00
XI060 DBL VSS VSST3BDCB00
XI059 DBL VSS VSST3BDCB00
XI058 DBL VSS VSST3BDCB00
XI057 DBL VSS VSST3BDCB00
XI056 DBL VSS VSST3BDCB00
XI055 DBL VSS VSST3BDCB00
XI054 DBL VSS VSST3BDCB00
XI053 DBL VSS VSST3BDCB00
XI052 DBL VSS VSST3BDCB00
XI051 DBL VSS VSST3BDCB00
XI050 DBL VSS VSST3BDCB00
XI049 DBL VSS VSST3BDCB00
XI048 DBL VSS VSST3BDCB00
XI047 DBL VSS VSST3BDCB00
XI046 DBL VSS VSST3BDCB00
XI045 DBL VSS VSST3BDCB00
XI044 DBL VSS VSST3BDCB00
XI043 DBL VSS VSST3BDCB00
XI042 DBL VSS VSST3BDCB00
XI041 DBL VSS VSST3BDCB00
XI040 DBL VSS VSST3BDCB00
XI039 DBL VSS VSST3BDCB00
XI038 DBL VSS VSST3BDCB00
XI037 DBL VSS VSST3BDCB00
XI036 DBL VSS VSST3BDCB00
XI035 DBL VSS VSST3BDCB00
XI034 DBL VSS VSST3BDCB00
XI033 DBL VSS VSST3BDCB00
XI032 DBL VSS VSST3BDCB00
XI031 DBL VSS VSST3BDCB00
XI030 DBL VSS VSST3BDCB00
XI029 DBL VSS VSST3BDCB00
XI028 DBL VSS VSST3BDCB00
XI027 DBL VSS VSST3BDCB00
XI026 DBL VSS VSST3BDCB00
XI025 DBL VSS VSST3BDCB00
XI024 DBL VSS VSST3BDCB00
XI023 DBL VSS VSST3BDCB00
XI022 DBL VSS VSST3BDCB00
XI021 DBL VSS VSST3BDCB00
XI020 DBL VSS VSST3BDCB00
XI019 DBL VSS VSST3BDCB00
XI018 DBL VSS VSST3BDCB00
XI017 DBL VSS VSST3BDCB00
XI016 DBL VSS VSST3BDCB00
XI015 DBL VSS VSST3BDCB00
XI014 DBL VSS VSST3BDCB00
XI013 DBL VSS VSST3BDCB00
XI012 DBL VSS VSST3BDCB00
XI011 DBL VSS VSST3BDCB00
XI010 DBL VSS VSST3BDCB00
XI009 DBL VSS VSST3BDCB00
XI008 DBL VSS VSST3BDCB00
XI007 DBL VSS VSST3BDCB00
XI006 DBL VSS VSST3BDCB00
XI005 DBL VSS VSST3BDCB00
XI004 DBL VSS VSST3BDCB00
XI003 DBL VSS VSST3BDCB00
XI002 DBL VSS VSST3BDCB00
XI001 DBL VSS VSST3BDCB00
XI000 DBL VSS VSST3BDCB00
.ENDS

.SUBCKT VSST3BDCB00 DBL DXD
M1I119 N1N120 VDD VSS VSS N L=0.18U W=0.9U
M1I118 DBL DXD N1N120 VSS N L=0.2U W=0.46U
.ENDS

.SUBCKT R128X16M1XDEC A0 A1 A2 A3 B0 B1
+    B2 B3 B4 B5 B6 B7 C0 C1
+    C2 C3 DXPD XD0 XD1 XD2 XD3 XD4
+    XD5 XD6 XD7 XD8 XD9 XD10 XD11 XD12
+    XD13 XD14 XD15 XD16 XD17 XD18 XD19 XD20
+    XD21 XD22 XD23 XD24 XD25 XD26 XD27 XD28
+    XD29 XD30 XD31 XD32 XD33 XD34 XD35 XD36
+    XD37 XD38 XD39 XD40 XD41 XD42 XD43 XD44
+    XD45 XD46 XD47 XD48 XD49 XD50 XD51 XD52
+    XD53 XD54 XD55 XD56 XD57 XD58 XD59 XD60
+    XD61 XD62 XD63 XD64 XD65 XD66 XD67 XD68
+    XD69 XD70 XD71 XD72 XD73 XD74 XD75 XD76
+    XD77 XD78 XD79 XD80 XD81 XD82 XD83 XD84
+    XD85 XD86 XD87 XD88 XD89 XD90 XD91 XD92
+    XD93 XD94 XD95 XD96 XD97 XD98 XD99 XD100
+    XD101 XD102 XD103 XD104 XD105 XD106 XD107 XD108
+    XD109 XD110 XD111 XD112 XD113 XD114 XD115 XD116
+    XD117 XD118 XD119 XD120 XD121 XD122 XD123 XD124
+    XD125 XD126 XD127 DXD
XI129 DXPD DXPD DXPD DXD VSST3RXDB01
XI127 B7 A3 C3 XD127 VSST3RXDB01
XID126 VDD VSST3XDDB00
XI126 B7 A2 C3 XD126 VSST3RXDB01
XI125 B7 A1 C3 XD125 VSST3RXDB01
XID124 DXPD VSST3XDDB00
XI124 B7 A0 C3 XD124 VSST3RXDB01
XI123 B6 A3 C3 XD123 VSST3RXDB01
XID122 VDD VSST3XDDB00
XI122 B6 A2 C3 XD122 VSST3RXDB01
XI121 B6 A1 C3 XD121 VSST3RXDB01
XID120 DXPD VSST3XDDB00
XI120 B6 A0 C3 XD120 VSST3RXDB01
XI119 B5 A3 C3 XD119 VSST3RXDB01
XID118 VDD VSST3XDDB00
XI118 B5 A2 C3 XD118 VSST3RXDB01
XI117 B5 A1 C3 XD117 VSST3RXDB01
XID116 DXPD VSST3XDDB00
XI116 B5 A0 C3 XD116 VSST3RXDB01
XI115 B4 A3 C3 XD115 VSST3RXDB01
XID114 VDD VSST3XDDB00
XI114 B4 A2 C3 XD114 VSST3RXDB01
XI113 B4 A1 C3 XD113 VSST3RXDB01
XID112 DXPD VSST3XDDB00
XI112 B4 A0 C3 XD112 VSST3RXDB01
XI111 B3 A3 C3 XD111 VSST3RXDB01
XID110 VDD VSST3XDDB00
XI110 B3 A2 C3 XD110 VSST3RXDB01
XI109 B3 A1 C3 XD109 VSST3RXDB01
XID108 DXPD VSST3XDDB00
XI108 B3 A0 C3 XD108 VSST3RXDB01
XI107 B2 A3 C3 XD107 VSST3RXDB01
XID106 VDD VSST3XDDB00
XI106 B2 A2 C3 XD106 VSST3RXDB01
XI105 B2 A1 C3 XD105 VSST3RXDB01
XID104 DXPD VSST3XDDB00
XI104 B2 A0 C3 XD104 VSST3RXDB01
XI103 B1 A3 C3 XD103 VSST3RXDB01
XID102 VDD VSST3XDDB00
XI102 B1 A2 C3 XD102 VSST3RXDB01
XI101 B1 A1 C3 XD101 VSST3RXDB01
XID100 DXPD VSST3XDDB00
XI100 B1 A0 C3 XD100 VSST3RXDB01
XI099 B0 A3 C3 XD99 VSST3RXDB01
XID098 VDD VSST3XDDB00
XI098 B0 A2 C3 XD98 VSST3RXDB01
XI097 B0 A1 C3 XD97 VSST3RXDB01
XID096 DXPD VSST3XDDB00
XI096 B0 A0 C3 XD96 VSST3RXDB01
XI095 B7 A3 C2 XD95 VSST3RXDB01
XID094 VDD VSST3XDDB00
XI094 B7 A2 C2 XD94 VSST3RXDB01
XI093 B7 A1 C2 XD93 VSST3RXDB01
XID092 DXPD VSST3XDDB00
XI092 B7 A0 C2 XD92 VSST3RXDB01
XI091 B6 A3 C2 XD91 VSST3RXDB01
XID090 VDD VSST3XDDB00
XI090 B6 A2 C2 XD90 VSST3RXDB01
XI089 B6 A1 C2 XD89 VSST3RXDB01
XID088 DXPD VSST3XDDB00
XI088 B6 A0 C2 XD88 VSST3RXDB01
XI087 B5 A3 C2 XD87 VSST3RXDB01
XID086 VDD VSST3XDDB00
XI086 B5 A2 C2 XD86 VSST3RXDB01
XI085 B5 A1 C2 XD85 VSST3RXDB01
XID084 DXPD VSST3XDDB00
XI084 B5 A0 C2 XD84 VSST3RXDB01
XI083 B4 A3 C2 XD83 VSST3RXDB01
XID082 VDD VSST3XDDB00
XI082 B4 A2 C2 XD82 VSST3RXDB01
XI081 B4 A1 C2 XD81 VSST3RXDB01
XID080 DXPD VSST3XDDB00
XI080 B4 A0 C2 XD80 VSST3RXDB01
XI079 B3 A3 C2 XD79 VSST3RXDB01
XID078 VDD VSST3XDDB00
XI078 B3 A2 C2 XD78 VSST3RXDB01
XI077 B3 A1 C2 XD77 VSST3RXDB01
XID076 DXPD VSST3XDDB00
XI076 B3 A0 C2 XD76 VSST3RXDB01
XI075 B2 A3 C2 XD75 VSST3RXDB01
XID074 VDD VSST3XDDB00
XI074 B2 A2 C2 XD74 VSST3RXDB01
XI073 B2 A1 C2 XD73 VSST3RXDB01
XID072 DXPD VSST3XDDB00
XI072 B2 A0 C2 XD72 VSST3RXDB01
XI071 B1 A3 C2 XD71 VSST3RXDB01
XID070 VDD VSST3XDDB00
XI070 B1 A2 C2 XD70 VSST3RXDB01
XI069 B1 A1 C2 XD69 VSST3RXDB01
XID068 DXPD VSST3XDDB00
XI068 B1 A0 C2 XD68 VSST3RXDB01
XI067 B0 A3 C2 XD67 VSST3RXDB01
XID066 VDD VSST3XDDB00
XI066 B0 A2 C2 XD66 VSST3RXDB01
XI065 B0 A1 C2 XD65 VSST3RXDB01
XID064 DXPD VSST3XDDB00
XI064 B0 A0 C2 XD64 VSST3RXDB01
XI063 B7 A3 C1 XD63 VSST3RXDB01
XID062 VDD VSST3XDDB00
XI062 B7 A2 C1 XD62 VSST3RXDB01
XI061 B7 A1 C1 XD61 VSST3RXDB01
XID060 DXPD VSST3XDDB00
XI060 B7 A0 C1 XD60 VSST3RXDB01
XI059 B6 A3 C1 XD59 VSST3RXDB01
XID058 VDD VSST3XDDB00
XI058 B6 A2 C1 XD58 VSST3RXDB01
XI057 B6 A1 C1 XD57 VSST3RXDB01
XID056 DXPD VSST3XDDB00
XI056 B6 A0 C1 XD56 VSST3RXDB01
XI055 B5 A3 C1 XD55 VSST3RXDB01
XID054 VDD VSST3XDDB00
XI054 B5 A2 C1 XD54 VSST3RXDB01
XI053 B5 A1 C1 XD53 VSST3RXDB01
XID052 DXPD VSST3XDDB00
XI052 B5 A0 C1 XD52 VSST3RXDB01
XI051 B4 A3 C1 XD51 VSST3RXDB01
XID050 VDD VSST3XDDB00
XI050 B4 A2 C1 XD50 VSST3RXDB01
XI049 B4 A1 C1 XD49 VSST3RXDB01
XID048 DXPD VSST3XDDB00
XI048 B4 A0 C1 XD48 VSST3RXDB01
XI047 B3 A3 C1 XD47 VSST3RXDB01
XID046 VDD VSST3XDDB00
XI046 B3 A2 C1 XD46 VSST3RXDB01
XI045 B3 A1 C1 XD45 VSST3RXDB01
XID044 DXPD VSST3XDDB00
XI044 B3 A0 C1 XD44 VSST3RXDB01
XI043 B2 A3 C1 XD43 VSST3RXDB01
XID042 VDD VSST3XDDB00
XI042 B2 A2 C1 XD42 VSST3RXDB01
XI041 B2 A1 C1 XD41 VSST3RXDB01
XID040 DXPD VSST3XDDB00
XI040 B2 A0 C1 XD40 VSST3RXDB01
XI039 B1 A3 C1 XD39 VSST3RXDB01
XID038 VDD VSST3XDDB00
XI038 B1 A2 C1 XD38 VSST3RXDB01
XI037 B1 A1 C1 XD37 VSST3RXDB01
XID036 DXPD VSST3XDDB00
XI036 B1 A0 C1 XD36 VSST3RXDB01
XI035 B0 A3 C1 XD35 VSST3RXDB01
XID034 VDD VSST3XDDB00
XI034 B0 A2 C1 XD34 VSST3RXDB01
XI033 B0 A1 C1 XD33 VSST3RXDB01
XID032 DXPD VSST3XDDB00
XI032 B0 A0 C1 XD32 VSST3RXDB01
XI031 B7 A3 C0 XD31 VSST3RXDB01
XID030 VDD VSST3XDDB00
XI030 B7 A2 C0 XD30 VSST3RXDB01
XI029 B7 A1 C0 XD29 VSST3RXDB01
XID028 DXPD VSST3XDDB00
XI028 B7 A0 C0 XD28 VSST3RXDB01
XI027 B6 A3 C0 XD27 VSST3RXDB01
XID026 VDD VSST3XDDB00
XI026 B6 A2 C0 XD26 VSST3RXDB01
XI025 B6 A1 C0 XD25 VSST3RXDB01
XID024 DXPD VSST3XDDB00
XI024 B6 A0 C0 XD24 VSST3RXDB01
XI023 B5 A3 C0 XD23 VSST3RXDB01
XID022 VDD VSST3XDDB00
XI022 B5 A2 C0 XD22 VSST3RXDB01
XI021 B5 A1 C0 XD21 VSST3RXDB01
XID020 DXPD VSST3XDDB00
XI020 B5 A0 C0 XD20 VSST3RXDB01
XI019 B4 A3 C0 XD19 VSST3RXDB01
XID018 VDD VSST3XDDB00
XI018 B4 A2 C0 XD18 VSST3RXDB01
XI017 B4 A1 C0 XD17 VSST3RXDB01
XID016 DXPD VSST3XDDB00
XI016 B4 A0 C0 XD16 VSST3RXDB01
XI015 B3 A3 C0 XD15 VSST3RXDB01
XID014 VDD VSST3XDDB00
XI014 B3 A2 C0 XD14 VSST3RXDB01
XI013 B3 A1 C0 XD13 VSST3RXDB01
XID012 DXPD VSST3XDDB00
XI012 B3 A0 C0 XD12 VSST3RXDB01
XI011 B2 A3 C0 XD11 VSST3RXDB01
XID010 VDD VSST3XDDB00
XI010 B2 A2 C0 XD10 VSST3RXDB01
XI009 B2 A1 C0 XD9 VSST3RXDB01
XID008 DXPD VSST3XDDB00
XI008 B2 A0 C0 XD8 VSST3RXDB01
XI007 B1 A3 C0 XD7 VSST3RXDB01
XID006 VDD VSST3XDDB00
XI006 B1 A2 C0 XD6 VSST3RXDB01
XI005 B1 A1 C0 XD5 VSST3RXDB01
XID004 DXPD VSST3XDDB00
XI004 B1 A0 C0 XD4 VSST3RXDB01
XI003 B0 A3 C0 XD3 VSST3RXDB01
XID002 VDD VSST3XDDB00
XI002 B0 A2 C0 XD2 VSST3RXDB01
XI001 B0 A1 C0 XD1 VSST3RXDB01
XID000 DXPD VSST3XDDB00
XI000 B0 A0 C0 XD0 VSST3RXDB01
.ENDS

.SUBCKT VSST3RXDB01 I0 I1 I2 XD
X1I283 I0 I1 I2 XDN VSST3NAND3 LN=0.18U WN=3U
+    LP=0.18U WP=1.5U
X1I239 XD XDN VSST3INV LN=0.18U WN=6U LP=0.18U WP=18U
.ENDS

.SUBCKT VSST3NAND3 IN1 IN2 IN3 OUT LN=1U WN=1U
+     LP=1U WP=1U
MN3 N1N20 IN3 VSS VSS N L=LN W=WN
MP3 OUT IN3 VDD VDD P L=LP W=WP
MP1 OUT IN1 VDD VDD P L=LP W=WP
MN2 N1N6 IN2 N1N20 VSS N L=LN W=WN
MN1 OUT IN1 N1N6 VSS N L=LN W=WN
MP2 OUT IN2 VDD VDD P L=LP W=WP
.ENDS

.SUBCKT VSST3XDDB00 IN
MN VSS IN VSS VSS N L=0.18U W=3U
MP VDD IN VDD VDD P L=0.18U W=1.5U
.ENDS

.SUBCKT R128X16M1XPREW D0 D1 D2 B0 B1 B2
+    B3 B4 B5 B6 B7 D3 D4 C0
+    C1 C2 C3 CK SD SDN TID TOQ
+    ENPD
XIXP1 CK SD SDN gen19 D3 D4 TOQ
+    ENPD C0 C1 C2 C3 R128X16M1XP2TO4W
XIXP0 CK SD SDN TID D0 D1 D2
+    gen19 ENPD B0 B1 B2 B3 B4 B5
+    B6 B7 R128X16M1XP3TO8W
.ENDS

.SUBCKT R128X16M1XP2TO4W CK SD SDN TID D0 D1
+    TOQ ENPD XP0 XP1 XP2 XP3
XI01 ENPD Q0 Q0N Q1 VDD XP2 XP3
+    VSST3XPDB00
XI00 ENPD Q0 Q0N Q1N VDD XP0 XP1
+    VSST3XPDB00
XIF1 CK D1 Q1 Q1N SD SDN gen10
+    TOQ VSST3WAFB00
XIF0 CK D0 Q0 Q0N SD SDN TID
+    gen10 VSST3WAFB00
.ENDS

.SUBCKT VSST3XPDB00 ENPD I0 I0N I1 I2 XPA
+    XPB
X1I269 ENPD I2 I1 I0N XPA VSST3XP8B01
X1I268 ENPD I2 I1 I0 XPB VSST3XP8B01
.ENDS

.SUBCKT VSST3XP8B01 ENPD IN1 IN2 IN3 XP1
X1I241 ENPD IN1 IN2 IN3 XPN VSST3NAND4 LN=0.18U
+    WN=4.5U LP=0.18U WP=1.5U
X1I239 XP1 XPN VSST3INV LN=0.18U WN=4.46U LP=0.18U WP=17.2U
.ENDS

.SUBCKT R128X16M1XP3TO8W CK SD SDN TID D0 D1
+    D2 TOQ ENPD XP0 XP1 XP2 XP3 XP4
+    XP5 XP6 XP7
XI03 ENPD gen14 gen13 gen17 gen18 XP6 XP7
+    VSST3XPDB00
XI02 ENPD gen14 gen13 gen15 gen18 XP4 XP5
+    VSST3XPDB00
XI01 ENPD gen14 gen13 gen17 gen16 XP2 XP3
+    VSST3XPDB00
XI00 ENPD gen14 gen13 gen15 gen16 XP0 XP1
+    VSST3XPDB00
XIF2 CK D2 gen18 gen16 SD SDN gen12
+    TOQ VSST3WAFB00
XIF1 CK D1 gen17 gen15 SD SDN gen11
+    gen12 VSST3WAFB00
XIF0 CK D0 gen14 gen13 SD SDN TID
+    gen11 VSST3WAFB00
.ENDS

.SUBCKT R128X16M1CA R[0] W[0] R[1] W[1] R[2] W[2]
+    R[3] W[3] R[4] W[4] R[5] W[5] R[6] W[6]
+    R[7] W[7] R[8] W[8] R[9] W[9] R[10] W[10]
+    R[11] W[11] R[12] W[12] R[13] W[13] R[14] W[14]
+    R[15] W[15] R[16] W[16] R[17] W[17] R[18] W[18]
+    R[19] W[19] R[20] W[20] R[21] W[21] R[22] W[22]
+    R[23] W[23] R[24] W[24] R[25] W[25] R[26] W[26]
+    R[27] W[27] R[28] W[28] R[29] W[29] R[30] W[30]
+    R[31] W[31] R[32] W[32] R[33] W[33] R[34] W[34]
+    R[35] W[35] R[36] W[36] R[37] W[37] R[38] W[38]
+    R[39] W[39] R[40] W[40] R[41] W[41] R[42] W[42]
+    R[43] W[43] R[44] W[44] R[45] W[45] R[46] W[46]
+    R[47] W[47] R[48] W[48] R[49] W[49] R[50] W[50]
+    R[51] W[51] R[52] W[52] R[53] W[53] R[54] W[54]
+    R[55] W[55] R[56] W[56] R[57] W[57] R[58] W[58]
+    R[59] W[59] R[60] W[60] R[61] W[61] R[62] W[62]
+    R[63] W[63] R[64] W[64] R[65] W[65] R[66] W[66]
+    R[67] W[67] R[68] W[68] R[69] W[69] R[70] W[70]
+    R[71] W[71] R[72] W[72] R[73] W[73] R[74] W[74]
+    R[75] W[75] R[76] W[76] R[77] W[77] R[78] W[78]
+    R[79] W[79] R[80] W[80] R[81] W[81] R[82] W[82]
+    R[83] W[83] R[84] W[84] R[85] W[85] R[86] W[86]
+    R[87] W[87] R[88] W[88] R[89] W[89] R[90] W[90]
+    R[91] W[91] R[92] W[92] R[93] W[93] R[94] W[94]
+    R[95] W[95] R[96] W[96] R[97] W[97] R[98] W[98]
+    R[99] W[99] R[100] W[100] R[101] W[101] R[102] W[102]
+    R[103] W[103] R[104] W[104] R[105] W[105] R[106] W[106]
+    R[107] W[107] R[108] W[108] R[109] W[109] R[110] W[110]
+    R[111] W[111] R[112] W[112] R[113] W[113] R[114] W[114]
+    R[115] W[115] R[116] W[116] R[117] W[117] R[118] W[118]
+    R[119] W[119] R[120] W[120] R[121] W[121] R[122] W[122]
+    R[123] W[123] R[124] W[124] R[125] W[125] R[126] W[126]
+    R[127] W[127] BR[0] BW[0] BRN[0] BWN[0] BR[1] BW[1]
+    BRN[1] BWN[1] BR[2] BW[2] BRN[2] BWN[2] BR[3] BW[3]
+    BRN[3] BWN[3] BR[4] BW[4] BRN[4] BWN[4] BR[5] BW[5]
+    BRN[5] BWN[5] BR[6] BW[6] BRN[6] BWN[6] BR[7] BW[7]
+    BRN[7] BWN[7] BR[8] BW[8] BRN[8] BWN[8] BR[9] BW[9]
+    BRN[9] BWN[9] BR[10] BW[10] BRN[10] BWN[10] BR[11] BW[11]
+    BRN[11] BWN[11] BR[12] BW[12] BRN[12] BWN[12] BR[13] BW[13]
+    BRN[13] BWN[13] BR[14] BW[14] BRN[14] BWN[14] BR[15] BW[15]
+    BRN[15] BWN[15] DISPDNR DISPDNW DXDW DXDR
XIDUM DXDR DXDW DISPDNR DISPDNW R128X16M1DUMROW
XI15 BR[15] BRN[15] BW[15] BWN[15] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI14 BR[14] BRN[14] BW[14] BWN[14] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI13 BR[13] BRN[13] BW[13] BWN[13] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI12 BR[12] BRN[12] BW[12] BWN[12] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI11 BR[11] BRN[11] BW[11] BWN[11] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI10 BR[10] BRN[10] BW[10] BWN[10] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI9 BR[9] BRN[9] BW[9] BWN[9] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI8 BR[8] BRN[8] BW[8] BWN[8] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI7 BR[7] BRN[7] BW[7] BWN[7] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI6 BR[6] BRN[6] BW[6] BWN[6] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI5 BR[5] BRN[5] BW[5] BWN[5] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI4 BR[4] BRN[4] BW[4] BWN[4] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI3 BR[3] BRN[3] BW[3] BWN[3] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI2 BR[2] BRN[2] BW[2] BWN[2] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
XI1 BR[1] BRN[1] BW[1] BWN[1] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1OCOL
XI0 BR[0] BRN[0] BW[0] BWN[0] W[0] R[0] W[1]
+    R[1] W[2] R[2] W[3] R[3] W[4] R[4] W[5]
+    R[5] W[6] R[6] W[7] R[7] W[8] R[8] W[9]
+    R[9] W[10] R[10] W[11] R[11] W[12] R[12] W[13]
+    R[13] W[14] R[14] W[15] R[15] W[16] R[16] W[17]
+    R[17] W[18] R[18] W[19] R[19] W[20] R[20] W[21]
+    R[21] W[22] R[22] W[23] R[23] W[24] R[24] W[25]
+    R[25] W[26] R[26] W[27] R[27] W[28] R[28] W[29]
+    R[29] W[30] R[30] W[31] R[31] W[32] R[32] W[33]
+    R[33] W[34] R[34] W[35] R[35] W[36] R[36] W[37]
+    R[37] W[38] R[38] W[39] R[39] W[40] R[40] W[41]
+    R[41] W[42] R[42] W[43] R[43] W[44] R[44] W[45]
+    R[45] W[46] R[46] W[47] R[47] W[48] R[48] W[49]
+    R[49] W[50] R[50] W[51] R[51] W[52] R[52] W[53]
+    R[53] W[54] R[54] W[55] R[55] W[56] R[56] W[57]
+    R[57] W[58] R[58] W[59] R[59] W[60] R[60] W[61]
+    R[61] W[62] R[62] W[63] R[63] W[64] R[64] W[65]
+    R[65] W[66] R[66] W[67] R[67] W[68] R[68] W[69]
+    R[69] W[70] R[70] W[71] R[71] W[72] R[72] W[73]
+    R[73] W[74] R[74] W[75] R[75] W[76] R[76] W[77]
+    R[77] W[78] R[78] W[79] R[79] W[80] R[80] W[81]
+    R[81] W[82] R[82] W[83] R[83] W[84] R[84] W[85]
+    R[85] W[86] R[86] W[87] R[87] W[88] R[88] W[89]
+    R[89] W[90] R[90] W[91] R[91] W[92] R[92] W[93]
+    R[93] W[94] R[94] W[95] R[95] W[96] R[96] W[97]
+    R[97] W[98] R[98] W[99] R[99] W[100] R[100] W[101]
+    R[101] W[102] R[102] W[103] R[103] W[104] R[104] W[105]
+    R[105] W[106] R[106] W[107] R[107] W[108] R[108] W[109]
+    R[109] W[110] R[110] W[111] R[111] W[112] R[112] W[113]
+    R[113] W[114] R[114] W[115] R[115] W[116] R[116] W[117]
+    R[117] W[118] R[118] W[119] R[119] W[120] R[120] W[121]
+    R[121] W[122] R[122] W[123] R[123] W[124] R[124] W[125]
+    R[125] W[126] R[126] W[127] R[127] R128X16M1ECOL
.ENDS

.SUBCKT R128X16M1DUMROW XDR XDW DISPDNR DISPDNW
XI14 DISPDNW XDW VSST3XDIB00
XI13 XDW XDW VSST3DBRB01
XI12 XDW XDW VSST3DBRB01
XI11 XDW XDW VSST3DBRB01
XI10 XDW XDW VSST3DBRB01
XI09 XDW XDW VSST3DBRB01
XI08 XDW XDW VSST3DBRB01
XI07 XDR XDR VSST3DBRB00
XI06 XDR XDR VSST3DBRB00
XI05 XDR XDR VSST3DBRB00
XI04 XDR XDR VSST3DBRB00
XI03 XDR XDR VSST3DBRB00
XI02 XDR XDR VSST3DBRB00
XI00 DISPDNR XDR VSST3XDIB00
.ENDS

.SUBCKT VSST3XDIB00 DISPDN XD
X1I239 DISPDN XD VSST3INV LN=0.18U WN=3.75U LP=0.18U WP=12U
.ENDS

.SUBCKT VSST3DBRB01 R W
M1I71 VSS R VSS VSS N L=0.18U W=0.3U
M1I69 VSS W VSS VSS N L=0.18U W=0.3U
M1I65 VSS R VSS VSS N L=0.18U W=0.3U
M1I44 VSS W VSS VSS N L=0.18U W=0.3U
.ENDS

.SUBCKT VSST3DBRB00 R W
M1I71 VSS R VSS VSS N L=0.2U W=0.46U
M1I69 VSS W VSS VSS N L=0.2U W=0.46U
M1I65 VSS R VSS VSS N L=0.2U W=0.46U
M1I44 VSS W VSS VSS N L=0.2U W=0.46U
.ENDS

.SUBCKT R128X16M1OCOL BR BRN BW BWN W[0] R[0]
+    W[1] R[1] W[2] R[2] W[3] R[3] W[4] R[4]
+    W[5] R[5] W[6] R[6] W[7] R[7] W[8] R[8]
+    W[9] R[9] W[10] R[10] W[11] R[11] W[12] R[12]
+    W[13] R[13] W[14] R[14] W[15] R[15] W[16] R[16]
+    W[17] R[17] W[18] R[18] W[19] R[19] W[20] R[20]
+    W[21] R[21] W[22] R[22] W[23] R[23] W[24] R[24]
+    W[25] R[25] W[26] R[26] W[27] R[27] W[28] R[28]
+    W[29] R[29] W[30] R[30] W[31] R[31] W[32] R[32]
+    W[33] R[33] W[34] R[34] W[35] R[35] W[36] R[36]
+    W[37] R[37] W[38] R[38] W[39] R[39] W[40] R[40]
+    W[41] R[41] W[42] R[42] W[43] R[43] W[44] R[44]
+    W[45] R[45] W[46] R[46] W[47] R[47] W[48] R[48]
+    W[49] R[49] W[50] R[50] W[51] R[51] W[52] R[52]
+    W[53] R[53] W[54] R[54] W[55] R[55] W[56] R[56]
+    W[57] R[57] W[58] R[58] W[59] R[59] W[60] R[60]
+    W[61] R[61] W[62] R[62] W[63] R[63] W[64] R[64]
+    W[65] R[65] W[66] R[66] W[67] R[67] W[68] R[68]
+    W[69] R[69] W[70] R[70] W[71] R[71] W[72] R[72]
+    W[73] R[73] W[74] R[74] W[75] R[75] W[76] R[76]
+    W[77] R[77] W[78] R[78] W[79] R[79] W[80] R[80]
+    W[81] R[81] W[82] R[82] W[83] R[83] W[84] R[84]
+    W[85] R[85] W[86] R[86] W[87] R[87] W[88] R[88]
+    W[89] R[89] W[90] R[90] W[91] R[91] W[92] R[92]
+    W[93] R[93] W[94] R[94] W[95] R[95] W[96] R[96]
+    W[97] R[97] W[98] R[98] W[99] R[99] W[100] R[100]
+    W[101] R[101] W[102] R[102] W[103] R[103] W[104] R[104]
+    W[105] R[105] W[106] R[106] W[107] R[107] W[108] R[108]
+    W[109] R[109] W[110] R[110] W[111] R[111] W[112] R[112]
+    W[113] R[113] W[114] R[114] W[115] R[115] W[116] R[116]
+    W[117] R[117] W[118] R[118] W[119] R[119] W[120] R[120]
+    W[121] R[121] W[122] R[122] W[123] R[123] W[124] R[124]
+    W[125] R[125] W[126] R[126] W[127] R[127]
XI127 BR BRN BW BWN R[127] W[127] VSST3BITB00
XI126 BR BRN BW BWN R[126] W[126] VSST3BITB00
XI125 BR BRN BW BWN R[125] W[125] VSST3BITB00
XI124 BR BRN BW BWN R[124] W[124] VSST3BITB00
XI123 BR BRN BW BWN R[123] W[123] VSST3BITB00
XI122 BR BRN BW BWN R[122] W[122] VSST3BITB00
XI121 BR BRN BW BWN R[121] W[121] VSST3BITB00
XI120 BR BRN BW BWN R[120] W[120] VSST3BITB00
XI119 BR BRN BW BWN R[119] W[119] VSST3BITB00
XI118 BR BRN BW BWN R[118] W[118] VSST3BITB00
XI117 BR BRN BW BWN R[117] W[117] VSST3BITB00
XI116 BR BRN BW BWN R[116] W[116] VSST3BITB00
XI115 BR BRN BW BWN R[115] W[115] VSST3BITB00
XI114 BR BRN BW BWN R[114] W[114] VSST3BITB00
XI113 BR BRN BW BWN R[113] W[113] VSST3BITB00
XI112 BR BRN BW BWN R[112] W[112] VSST3BITB00
XI111 BR BRN BW BWN R[111] W[111] VSST3BITB00
XI110 BR BRN BW BWN R[110] W[110] VSST3BITB00
XI109 BR BRN BW BWN R[109] W[109] VSST3BITB00
XI108 BR BRN BW BWN R[108] W[108] VSST3BITB00
XI107 BR BRN BW BWN R[107] W[107] VSST3BITB00
XI106 BR BRN BW BWN R[106] W[106] VSST3BITB00
XI105 BR BRN BW BWN R[105] W[105] VSST3BITB00
XI104 BR BRN BW BWN R[104] W[104] VSST3BITB00
XI103 BR BRN BW BWN R[103] W[103] VSST3BITB00
XI102 BR BRN BW BWN R[102] W[102] VSST3BITB00
XI101 BR BRN BW BWN R[101] W[101] VSST3BITB00
XI100 BR BRN BW BWN R[100] W[100] VSST3BITB00
XI099 BR BRN BW BWN R[99] W[99] VSST3BITB00
XI098 BR BRN BW BWN R[98] W[98] VSST3BITB00
XI097 BR BRN BW BWN R[97] W[97] VSST3BITB00
XI096 BR BRN BW BWN R[96] W[96] VSST3BITB00
XI095 BR BRN BW BWN R[95] W[95] VSST3BITB00
XI094 BR BRN BW BWN R[94] W[94] VSST3BITB00
XI093 BR BRN BW BWN R[93] W[93] VSST3BITB00
XI092 BR BRN BW BWN R[92] W[92] VSST3BITB00
XI091 BR BRN BW BWN R[91] W[91] VSST3BITB00
XI090 BR BRN BW BWN R[90] W[90] VSST3BITB00
XI089 BR BRN BW BWN R[89] W[89] VSST3BITB00
XI088 BR BRN BW BWN R[88] W[88] VSST3BITB00
XI087 BR BRN BW BWN R[87] W[87] VSST3BITB00
XI086 BR BRN BW BWN R[86] W[86] VSST3BITB00
XI085 BR BRN BW BWN R[85] W[85] VSST3BITB00
XI084 BR BRN BW BWN R[84] W[84] VSST3BITB00
XI083 BR BRN BW BWN R[83] W[83] VSST3BITB00
XI082 BR BRN BW BWN R[82] W[82] VSST3BITB00
XI081 BR BRN BW BWN R[81] W[81] VSST3BITB00
XI080 BR BRN BW BWN R[80] W[80] VSST3BITB00
XI079 BR BRN BW BWN R[79] W[79] VSST3BITB00
XI078 BR BRN BW BWN R[78] W[78] VSST3BITB00
XI077 BR BRN BW BWN R[77] W[77] VSST3BITB00
XI076 BR BRN BW BWN R[76] W[76] VSST3BITB00
XI075 BR BRN BW BWN R[75] W[75] VSST3BITB00
XI074 BR BRN BW BWN R[74] W[74] VSST3BITB00
XI073 BR BRN BW BWN R[73] W[73] VSST3BITB00
XI072 BR BRN BW BWN R[72] W[72] VSST3BITB00
XI071 BR BRN BW BWN R[71] W[71] VSST3BITB00
XI070 BR BRN BW BWN R[70] W[70] VSST3BITB00
XI069 BR BRN BW BWN R[69] W[69] VSST3BITB00
XI068 BR BRN BW BWN R[68] W[68] VSST3BITB00
XI067 BR BRN BW BWN R[67] W[67] VSST3BITB00
XI066 BR BRN BW BWN R[66] W[66] VSST3BITB00
XI065 BR BRN BW BWN R[65] W[65] VSST3BITB00
XI064 BR BRN BW BWN R[64] W[64] VSST3BITB00
XI063 BR BRN BW BWN R[63] W[63] VSST3BITB00
XI062 BR BRN BW BWN R[62] W[62] VSST3BITB00
XI061 BR BRN BW BWN R[61] W[61] VSST3BITB00
XI060 BR BRN BW BWN R[60] W[60] VSST3BITB00
XI059 BR BRN BW BWN R[59] W[59] VSST3BITB00
XI058 BR BRN BW BWN R[58] W[58] VSST3BITB00
XI057 BR BRN BW BWN R[57] W[57] VSST3BITB00
XI056 BR BRN BW BWN R[56] W[56] VSST3BITB00
XI055 BR BRN BW BWN R[55] W[55] VSST3BITB00
XI054 BR BRN BW BWN R[54] W[54] VSST3BITB00
XI053 BR BRN BW BWN R[53] W[53] VSST3BITB00
XI052 BR BRN BW BWN R[52] W[52] VSST3BITB00
XI051 BR BRN BW BWN R[51] W[51] VSST3BITB00
XI050 BR BRN BW BWN R[50] W[50] VSST3BITB00
XI049 BR BRN BW BWN R[49] W[49] VSST3BITB00
XI048 BR BRN BW BWN R[48] W[48] VSST3BITB00
XI047 BR BRN BW BWN R[47] W[47] VSST3BITB00
XI046 BR BRN BW BWN R[46] W[46] VSST3BITB00
XI045 BR BRN BW BWN R[45] W[45] VSST3BITB00
XI044 BR BRN BW BWN R[44] W[44] VSST3BITB00
XI043 BR BRN BW BWN R[43] W[43] VSST3BITB00
XI042 BR BRN BW BWN R[42] W[42] VSST3BITB00
XI041 BR BRN BW BWN R[41] W[41] VSST3BITB00
XI040 BR BRN BW BWN R[40] W[40] VSST3BITB00
XI039 BR BRN BW BWN R[39] W[39] VSST3BITB00
XI038 BR BRN BW BWN R[38] W[38] VSST3BITB00
XI037 BR BRN BW BWN R[37] W[37] VSST3BITB00
XI036 BR BRN BW BWN R[36] W[36] VSST3BITB00
XI035 BR BRN BW BWN R[35] W[35] VSST3BITB00
XI034 BR BRN BW BWN R[34] W[34] VSST3BITB00
XI033 BR BRN BW BWN R[33] W[33] VSST3BITB00
XI032 BR BRN BW BWN R[32] W[32] VSST3BITB00
XI031 BR BRN BW BWN R[31] W[31] VSST3BITB00
XI030 BR BRN BW BWN R[30] W[30] VSST3BITB00
XI029 BR BRN BW BWN R[29] W[29] VSST3BITB00
XI028 BR BRN BW BWN R[28] W[28] VSST3BITB00
XI027 BR BRN BW BWN R[27] W[27] VSST3BITB00
XI026 BR BRN BW BWN R[26] W[26] VSST3BITB00
XI025 BR BRN BW BWN R[25] W[25] VSST3BITB00
XI024 BR BRN BW BWN R[24] W[24] VSST3BITB00
XI023 BR BRN BW BWN R[23] W[23] VSST3BITB00
XI022 BR BRN BW BWN R[22] W[22] VSST3BITB00
XI021 BR BRN BW BWN R[21] W[21] VSST3BITB00
XI020 BR BRN BW BWN R[20] W[20] VSST3BITB00
XI019 BR BRN BW BWN R[19] W[19] VSST3BITB00
XI018 BR BRN BW BWN R[18] W[18] VSST3BITB00
XI017 BR BRN BW BWN R[17] W[17] VSST3BITB00
XI016 BR BRN BW BWN R[16] W[16] VSST3BITB00
XI015 BR BRN BW BWN R[15] W[15] VSST3BITB00
XI014 BR BRN BW BWN R[14] W[14] VSST3BITB00
XI013 BR BRN BW BWN R[13] W[13] VSST3BITB00
XI012 BR BRN BW BWN R[12] W[12] VSST3BITB00
XI011 BR BRN BW BWN R[11] W[11] VSST3BITB00
XI010 BR BRN BW BWN R[10] W[10] VSST3BITB00
XI009 BR BRN BW BWN R[9] W[9] VSST3BITB00
XI008 BR BRN BW BWN R[8] W[8] VSST3BITB00
XI007 BR BRN BW BWN R[7] W[7] VSST3BITB00
XI006 BR BRN BW BWN R[6] W[6] VSST3BITB00
XI005 BR BRN BW BWN R[5] W[5] VSST3BITB00
XI004 BR BRN BW BWN R[4] W[4] VSST3BITB00
XI003 BR BRN BW BWN R[3] W[3] VSST3BITB00
XI002 BR BRN BW BWN R[2] W[2] VSST3BITB00
XI001 BR BRN BW BWN R[1] W[1] VSST3BITB00
XI000 BR BRN BW BWN R[0] W[0] VSST3BITB00
.ENDS

.SUBCKT VSST3BITB00 BR BRN BW BWN R W
M1I79 LAT LATB VDD VDD P L=0.32U W=0.3U
M1I75 LATB LAT VDD VDD P L=0.32U W=0.3U
M1I74 LAT LATB VSS VSS N L=0.18U W=0.9U
M1I73 LATB LAT VSS VSS N L=0.18U W=0.9U
M1I71 BR R LAT VSS N L=0.2U W=0.46U
M1I69 LAT W BW VSS N L=0.18U W=0.3U
M1I65 BRN R LATB VSS N L=0.2U W=0.46U
M1I44 LATB W BWN VSS N L=0.18U W=0.3U
.ENDS

.SUBCKT R128X16M1ECOL BR BRN BW BWN W[0] R[0]
+    W[1] R[1] W[2] R[2] W[3] R[3] W[4] R[4]
+    W[5] R[5] W[6] R[6] W[7] R[7] W[8] R[8]
+    W[9] R[9] W[10] R[10] W[11] R[11] W[12] R[12]
+    W[13] R[13] W[14] R[14] W[15] R[15] W[16] R[16]
+    W[17] R[17] W[18] R[18] W[19] R[19] W[20] R[20]
+    W[21] R[21] W[22] R[22] W[23] R[23] W[24] R[24]
+    W[25] R[25] W[26] R[26] W[27] R[27] W[28] R[28]
+    W[29] R[29] W[30] R[30] W[31] R[31] W[32] R[32]
+    W[33] R[33] W[34] R[34] W[35] R[35] W[36] R[36]
+    W[37] R[37] W[38] R[38] W[39] R[39] W[40] R[40]
+    W[41] R[41] W[42] R[42] W[43] R[43] W[44] R[44]
+    W[45] R[45] W[46] R[46] W[47] R[47] W[48] R[48]
+    W[49] R[49] W[50] R[50] W[51] R[51] W[52] R[52]
+    W[53] R[53] W[54] R[54] W[55] R[55] W[56] R[56]
+    W[57] R[57] W[58] R[58] W[59] R[59] W[60] R[60]
+    W[61] R[61] W[62] R[62] W[63] R[63] W[64] R[64]
+    W[65] R[65] W[66] R[66] W[67] R[67] W[68] R[68]
+    W[69] R[69] W[70] R[70] W[71] R[71] W[72] R[72]
+    W[73] R[73] W[74] R[74] W[75] R[75] W[76] R[76]
+    W[77] R[77] W[78] R[78] W[79] R[79] W[80] R[80]
+    W[81] R[81] W[82] R[82] W[83] R[83] W[84] R[84]
+    W[85] R[85] W[86] R[86] W[87] R[87] W[88] R[88]
+    W[89] R[89] W[90] R[90] W[91] R[91] W[92] R[92]
+    W[93] R[93] W[94] R[94] W[95] R[95] W[96] R[96]
+    W[97] R[97] W[98] R[98] W[99] R[99] W[100] R[100]
+    W[101] R[101] W[102] R[102] W[103] R[103] W[104] R[104]
+    W[105] R[105] W[106] R[106] W[107] R[107] W[108] R[108]
+    W[109] R[109] W[110] R[110] W[111] R[111] W[112] R[112]
+    W[113] R[113] W[114] R[114] W[115] R[115] W[116] R[116]
+    W[117] R[117] W[118] R[118] W[119] R[119] W[120] R[120]
+    W[121] R[121] W[122] R[122] W[123] R[123] W[124] R[124]
+    W[125] R[125] W[126] R[126] W[127] R[127]
XI127 BR BRN BW BWN R[127] W[127] VSST3BITB00
XI126 BR BRN BW BWN R[126] W[126] VSST3BITB00
XI125 BR BRN BW BWN R[125] W[125] VSST3BITB00
XI124 BR BRN BW BWN R[124] W[124] VSST3BITB00
XI123 BR BRN BW BWN R[123] W[123] VSST3BITB00
XI122 BR BRN BW BWN R[122] W[122] VSST3BITB00
XI121 BR BRN BW BWN R[121] W[121] VSST3BITB00
XI120 BR BRN BW BWN R[120] W[120] VSST3BITB00
XI119 BR BRN BW BWN R[119] W[119] VSST3BITB00
XI118 BR BRN BW BWN R[118] W[118] VSST3BITB00
XI117 BR BRN BW BWN R[117] W[117] VSST3BITB00
XI116 BR BRN BW BWN R[116] W[116] VSST3BITB00
XI115 BR BRN BW BWN R[115] W[115] VSST3BITB00
XI114 BR BRN BW BWN R[114] W[114] VSST3BITB00
XI113 BR BRN BW BWN R[113] W[113] VSST3BITB00
XI112 BR BRN BW BWN R[112] W[112] VSST3BITB00
XI111 BR BRN BW BWN R[111] W[111] VSST3BITB00
XI110 BR BRN BW BWN R[110] W[110] VSST3BITB00
XI109 BR BRN BW BWN R[109] W[109] VSST3BITB00
XI108 BR BRN BW BWN R[108] W[108] VSST3BITB00
XI107 BR BRN BW BWN R[107] W[107] VSST3BITB00
XI106 BR BRN BW BWN R[106] W[106] VSST3BITB00
XI105 BR BRN BW BWN R[105] W[105] VSST3BITB00
XI104 BR BRN BW BWN R[104] W[104] VSST3BITB00
XI103 BR BRN BW BWN R[103] W[103] VSST3BITB00
XI102 BR BRN BW BWN R[102] W[102] VSST3BITB00
XI101 BR BRN BW BWN R[101] W[101] VSST3BITB00
XI100 BR BRN BW BWN R[100] W[100] VSST3BITB00
XI099 BR BRN BW BWN R[99] W[99] VSST3BITB00
XI098 BR BRN BW BWN R[98] W[98] VSST3BITB00
XI097 BR BRN BW BWN R[97] W[97] VSST3BITB00
XI096 BR BRN BW BWN R[96] W[96] VSST3BITB00
XI095 BR BRN BW BWN R[95] W[95] VSST3BITB00
XI094 BR BRN BW BWN R[94] W[94] VSST3BITB00
XI093 BR BRN BW BWN R[93] W[93] VSST3BITB00
XI092 BR BRN BW BWN R[92] W[92] VSST3BITB00
XI091 BR BRN BW BWN R[91] W[91] VSST3BITB00
XI090 BR BRN BW BWN R[90] W[90] VSST3BITB00
XI089 BR BRN BW BWN R[89] W[89] VSST3BITB00
XI088 BR BRN BW BWN R[88] W[88] VSST3BITB00
XI087 BR BRN BW BWN R[87] W[87] VSST3BITB00
XI086 BR BRN BW BWN R[86] W[86] VSST3BITB00
XI085 BR BRN BW BWN R[85] W[85] VSST3BITB00
XI084 BR BRN BW BWN R[84] W[84] VSST3BITB00
XI083 BR BRN BW BWN R[83] W[83] VSST3BITB00
XI082 BR BRN BW BWN R[82] W[82] VSST3BITB00
XI081 BR BRN BW BWN R[81] W[81] VSST3BITB00
XI080 BR BRN BW BWN R[80] W[80] VSST3BITB00
XI079 BR BRN BW BWN R[79] W[79] VSST3BITB00
XI078 BR BRN BW BWN R[78] W[78] VSST3BITB00
XI077 BR BRN BW BWN R[77] W[77] VSST3BITB00
XI076 BR BRN BW BWN R[76] W[76] VSST3BITB00
XI075 BR BRN BW BWN R[75] W[75] VSST3BITB00
XI074 BR BRN BW BWN R[74] W[74] VSST3BITB00
XI073 BR BRN BW BWN R[73] W[73] VSST3BITB00
XI072 BR BRN BW BWN R[72] W[72] VSST3BITB00
XI071 BR BRN BW BWN R[71] W[71] VSST3BITB00
XI070 BR BRN BW BWN R[70] W[70] VSST3BITB00
XI069 BR BRN BW BWN R[69] W[69] VSST3BITB00
XI068 BR BRN BW BWN R[68] W[68] VSST3BITB00
XI067 BR BRN BW BWN R[67] W[67] VSST3BITB00
XI066 BR BRN BW BWN R[66] W[66] VSST3BITB00
XI065 BR BRN BW BWN R[65] W[65] VSST3BITB00
XI064 BR BRN BW BWN R[64] W[64] VSST3BITB00
XI063 BR BRN BW BWN R[63] W[63] VSST3BITB00
XI062 BR BRN BW BWN R[62] W[62] VSST3BITB00
XI061 BR BRN BW BWN R[61] W[61] VSST3BITB00
XI060 BR BRN BW BWN R[60] W[60] VSST3BITB00
XI059 BR BRN BW BWN R[59] W[59] VSST3BITB00
XI058 BR BRN BW BWN R[58] W[58] VSST3BITB00
XI057 BR BRN BW BWN R[57] W[57] VSST3BITB00
XI056 BR BRN BW BWN R[56] W[56] VSST3BITB00
XI055 BR BRN BW BWN R[55] W[55] VSST3BITB00
XI054 BR BRN BW BWN R[54] W[54] VSST3BITB00
XI053 BR BRN BW BWN R[53] W[53] VSST3BITB00
XI052 BR BRN BW BWN R[52] W[52] VSST3BITB00
XI051 BR BRN BW BWN R[51] W[51] VSST3BITB00
XI050 BR BRN BW BWN R[50] W[50] VSST3BITB00
XI049 BR BRN BW BWN R[49] W[49] VSST3BITB00
XI048 BR BRN BW BWN R[48] W[48] VSST3BITB00
XI047 BR BRN BW BWN R[47] W[47] VSST3BITB00
XI046 BR BRN BW BWN R[46] W[46] VSST3BITB00
XI045 BR BRN BW BWN R[45] W[45] VSST3BITB00
XI044 BR BRN BW BWN R[44] W[44] VSST3BITB00
XI043 BR BRN BW BWN R[43] W[43] VSST3BITB00
XI042 BR BRN BW BWN R[42] W[42] VSST3BITB00
XI041 BR BRN BW BWN R[41] W[41] VSST3BITB00
XI040 BR BRN BW BWN R[40] W[40] VSST3BITB00
XI039 BR BRN BW BWN R[39] W[39] VSST3BITB00
XI038 BR BRN BW BWN R[38] W[38] VSST3BITB00
XI037 BR BRN BW BWN R[37] W[37] VSST3BITB00
XI036 BR BRN BW BWN R[36] W[36] VSST3BITB00
XI035 BR BRN BW BWN R[35] W[35] VSST3BITB00
XI034 BR BRN BW BWN R[34] W[34] VSST3BITB00
XI033 BR BRN BW BWN R[33] W[33] VSST3BITB00
XI032 BR BRN BW BWN R[32] W[32] VSST3BITB00
XI031 BR BRN BW BWN R[31] W[31] VSST3BITB00
XI030 BR BRN BW BWN R[30] W[30] VSST3BITB00
XI029 BR BRN BW BWN R[29] W[29] VSST3BITB00
XI028 BR BRN BW BWN R[28] W[28] VSST3BITB00
XI027 BR BRN BW BWN R[27] W[27] VSST3BITB00
XI026 BR BRN BW BWN R[26] W[26] VSST3BITB00
XI025 BR BRN BW BWN R[25] W[25] VSST3BITB00
XI024 BR BRN BW BWN R[24] W[24] VSST3BITB00
XI023 BR BRN BW BWN R[23] W[23] VSST3BITB00
XI022 BR BRN BW BWN R[22] W[22] VSST3BITB00
XI021 BR BRN BW BWN R[21] W[21] VSST3BITB00
XI020 BR BRN BW BWN R[20] W[20] VSST3BITB00
XI019 BR BRN BW BWN R[19] W[19] VSST3BITB00
XI018 BR BRN BW BWN R[18] W[18] VSST3BITB00
XI017 BR BRN BW BWN R[17] W[17] VSST3BITB00
XI016 BR BRN BW BWN R[16] W[16] VSST3BITB00
XI015 BR BRN BW BWN R[15] W[15] VSST3BITB00
XI014 BR BRN BW BWN R[14] W[14] VSST3BITB00
XI013 BR BRN BW BWN R[13] W[13] VSST3BITB00
XI012 BR BRN BW BWN R[12] W[12] VSST3BITB00
XI011 BR BRN BW BWN R[11] W[11] VSST3BITB00
XI010 BR BRN BW BWN R[10] W[10] VSST3BITB00
XI009 BR BRN BW BWN R[9] W[9] VSST3BITB00
XI008 BR BRN BW BWN R[8] W[8] VSST3BITB00
XI007 BR BRN BW BWN R[7] W[7] VSST3BITB00
XI006 BR BRN BW BWN R[6] W[6] VSST3BITB00
XI005 BR BRN BW BWN R[5] W[5] VSST3BITB00
XI004 BR BRN BW BWN R[4] W[4] VSST3BITB00
XI003 BR BRN BW BWN R[3] W[3] VSST3BITB00
XI002 BR BRN BW BWN R[2] W[2] VSST3BITB00
XI001 BR BRN BW BWN R[1] W[1] VSST3BITB00
XI000 BR BRN BW BWN R[0] W[0] VSST3BITB00
.ENDS

.SUBCKT R128X16M1XPXDR RCK SD SDN TIDR TORADR ENPDR
+    RADR[2] RADR[3] RADR[4] RADR[5] RADR[6] A0 A1 A2
+    A3 R[0] R[1] R[2] R[3] R[4] R[5] R[6]
+    R[7] R[8] R[9] R[10] R[11] R[12] R[13] R[14]
+    R[15] R[16] R[17] R[18] R[19] R[20] R[21] R[22]
+    R[23] R[24] R[25] R[26] R[27] R[28] R[29] R[30]
+    R[31] R[32] R[33] R[34] R[35] R[36] R[37] R[38]
+    R[39] R[40] R[41] R[42] R[43] R[44] R[45] R[46]
+    R[47] R[48] R[49] R[50] R[51] R[52] R[53] R[54]
+    R[55] R[56] R[57] R[58] R[59] R[60] R[61] R[62]
+    R[63] R[64] R[65] R[66] R[67] R[68] R[69] R[70]
+    R[71] R[72] R[73] R[74] R[75] R[76] R[77] R[78]
+    R[79] R[80] R[81] R[82] R[83] R[84] R[85] R[86]
+    R[87] R[88] R[89] R[90] R[91] R[92] R[93] R[94]
+    R[95] R[96] R[97] R[98] R[99] R[100] R[101] R[102]
+    R[103] R[104] R[105] R[106] R[107] R[108] R[109] R[110]
+    R[111] R[112] R[113] R[114] R[115] R[116] R[117] R[118]
+    R[119] R[120] R[121] R[122] R[123] R[124] R[125] R[126]
+    R[127] DRXP DXDR DBLR
XIDUM DXDR DBLR R128X16M1DUMCOLR
XIXD A0 A1 A2 A3 B0 B1 B2
+    B3 B4 B5 B6 B7 C0 C1 C2
+    C3 DRXP R[0] R[1] R[2] R[3] R[4] R[5]
+    R[6] R[7] R[8] R[9] R[10] R[11] R[12] R[13]
+    R[14] R[15] R[16] R[17] R[18] R[19] R[20] R[21]
+    R[22] R[23] R[24] R[25] R[26] R[27] R[28] R[29]
+    R[30] R[31] R[32] R[33] R[34] R[35] R[36] R[37]
+    R[38] R[39] R[40] R[41] R[42] R[43] R[44] R[45]
+    R[46] R[47] R[48] R[49] R[50] R[51] R[52] R[53]
+    R[54] R[55] R[56] R[57] R[58] R[59] R[60] R[61]
+    R[62] R[63] R[64] R[65] R[66] R[67] R[68] R[69]
+    R[70] R[71] R[72] R[73] R[74] R[75] R[76] R[77]
+    R[78] R[79] R[80] R[81] R[82] R[83] R[84] R[85]
+    R[86] R[87] R[88] R[89] R[90] R[91] R[92] R[93]
+    R[94] R[95] R[96] R[97] R[98] R[99] R[100] R[101]
+    R[102] R[103] R[104] R[105] R[106] R[107] R[108] R[109]
+    R[110] R[111] R[112] R[113] R[114] R[115] R[116] R[117]
+    R[118] R[119] R[120] R[121] R[122] R[123] R[124] R[125]
+    R[126] R[127] DXDR R128X16M1XDEC
XIXP RADR[2] RADR[3] RADR[4] B0 B1 B2 B3
+    B4 B5 B6 B7 RADR[5] RADR[6] C0 C1
+    C2 C3 RCK SD SDN TIDR TORADR ENPDR
+    R128X16M1XPRER
.ENDS

.SUBCKT R128X16M1DUMCOLR DXD DBL
XI127 DBL DXD VSST3BDCB00
XI126 DBL DXD VSST3BDCB00
XI125 DBL DXD VSST3BDCB00
XI124 DBL DXD VSST3BDCB00
XI123 DBL DXD VSST3BDCB00
XI122 DBL VSS VSST3BDCB00
XI121 DBL VSS VSST3BDCB00
XI120 DBL VSS VSST3BDCB00
XI119 DBL VSS VSST3BDCB00
XI118 DBL VSS VSST3BDCB00
XI117 DBL VSS VSST3BDCB00
XI116 DBL VSS VSST3BDCB00
XI115 DBL VSS VSST3BDCB00
XI114 DBL VSS VSST3BDCB00
XI113 DBL VSS VSST3BDCB00
XI112 DBL VSS VSST3BDCB00
XI111 DBL VSS VSST3BDCB00
XI110 DBL VSS VSST3BDCB00
XI109 DBL VSS VSST3BDCB00
XI108 DBL VSS VSST3BDCB00
XI107 DBL VSS VSST3BDCB00
XI106 DBL VSS VSST3BDCB00
XI105 DBL VSS VSST3BDCB00
XI104 DBL VSS VSST3BDCB00
XI103 DBL VSS VSST3BDCB00
XI102 DBL VSS VSST3BDCB00
XI101 DBL VSS VSST3BDCB00
XI100 DBL VSS VSST3BDCB00
XI099 DBL VSS VSST3BDCB00
XI098 DBL VSS VSST3BDCB00
XI097 DBL VSS VSST3BDCB00
XI096 DBL VSS VSST3BDCB00
XI095 DBL VSS VSST3BDCB00
XI094 DBL VSS VSST3BDCB00
XI093 DBL VSS VSST3BDCB00
XI092 DBL VSS VSST3BDCB00
XI091 DBL VSS VSST3BDCB00
XI090 DBL VSS VSST3BDCB00
XI089 DBL VSS VSST3BDCB00
XI088 DBL VSS VSST3BDCB00
XI087 DBL VSS VSST3BDCB00
XI086 DBL VSS VSST3BDCB00
XI085 DBL VSS VSST3BDCB00
XI084 DBL VSS VSST3BDCB00
XI083 DBL VSS VSST3BDCB00
XI082 DBL VSS VSST3BDCB00
XI081 DBL VSS VSST3BDCB00
XI080 DBL VSS VSST3BDCB00
XI079 DBL VSS VSST3BDCB00
XI078 DBL VSS VSST3BDCB00
XI077 DBL VSS VSST3BDCB00
XI076 DBL VSS VSST3BDCB00
XI075 DBL VSS VSST3BDCB00
XI074 DBL VSS VSST3BDCB00
XI073 DBL VSS VSST3BDCB00
XI072 DBL VSS VSST3BDCB00
XI071 DBL VSS VSST3BDCB00
XI070 DBL VSS VSST3BDCB00
XI069 DBL VSS VSST3BDCB00
XI068 DBL VSS VSST3BDCB00
XI067 DBL VSS VSST3BDCB00
XI066 DBL VSS VSST3BDCB00
XI065 DBL VSS VSST3BDCB00
XI064 DBL VSS VSST3BDCB00
XI063 DBL VSS VSST3BDCB00
XI062 DBL VSS VSST3BDCB00
XI061 DBL VSS VSST3BDCB00
XI060 DBL VSS VSST3BDCB00
XI059 DBL VSS VSST3BDCB00
XI058 DBL VSS VSST3BDCB00
XI057 DBL VSS VSST3BDCB00
XI056 DBL VSS VSST3BDCB00
XI055 DBL VSS VSST3BDCB00
XI054 DBL VSS VSST3BDCB00
XI053 DBL VSS VSST3BDCB00
XI052 DBL VSS VSST3BDCB00
XI051 DBL VSS VSST3BDCB00
XI050 DBL VSS VSST3BDCB00
XI049 DBL VSS VSST3BDCB00
XI048 DBL VSS VSST3BDCB00
XI047 DBL VSS VSST3BDCB00
XI046 DBL VSS VSST3BDCB00
XI045 DBL VSS VSST3BDCB00
XI044 DBL VSS VSST3BDCB00
XI043 DBL VSS VSST3BDCB00
XI042 DBL VSS VSST3BDCB00
XI041 DBL VSS VSST3BDCB00
XI040 DBL VSS VSST3BDCB00
XI039 DBL VSS VSST3BDCB00
XI038 DBL VSS VSST3BDCB00
XI037 DBL VSS VSST3BDCB00
XI036 DBL VSS VSST3BDCB00
XI035 DBL VSS VSST3BDCB00
XI034 DBL VSS VSST3BDCB00
XI033 DBL VSS VSST3BDCB00
XI032 DBL VSS VSST3BDCB00
XI031 DBL VSS VSST3BDCB00
XI030 DBL VSS VSST3BDCB00
XI029 DBL VSS VSST3BDCB00
XI028 DBL VSS VSST3BDCB00
XI027 DBL VSS VSST3BDCB00
XI026 DBL VSS VSST3BDCB00
XI025 DBL VSS VSST3BDCB00
XI024 DBL VSS VSST3BDCB00
XI023 DBL VSS VSST3BDCB00
XI022 DBL VSS VSST3BDCB00
XI021 DBL VSS VSST3BDCB00
XI020 DBL VSS VSST3BDCB00
XI019 DBL VSS VSST3BDCB00
XI018 DBL VSS VSST3BDCB00
XI017 DBL VSS VSST3BDCB00
XI016 DBL VSS VSST3BDCB00
XI015 DBL VSS VSST3BDCB00
XI014 DBL VSS VSST3BDCB00
XI013 DBL VSS VSST3BDCB00
XI012 DBL VSS VSST3BDCB00
XI011 DBL VSS VSST3BDCB00
XI010 DBL VSS VSST3BDCB00
XI009 DBL VSS VSST3BDCB00
XI008 DBL VSS VSST3BDCB00
XI007 DBL VSS VSST3BDCB00
XI006 DBL VSS VSST3BDCB00
XI005 DBL VSS VSST3BDCB00
XI004 DBL VSS VSST3BDCB00
XI003 DBL VSS VSST3BDCB00
XI002 DBL VSS VSST3BDCB00
XI001 DBL VSS VSST3BDCB00
XI000 DBL VSS VSST3BDCB00
.ENDS

.SUBCKT R128X16M1XPRER D0 D1 D2 B0 B1 B2
+    B3 B4 B5 B6 B7 D3 D4 C0
+    C1 C2 C3 CK SD SDN TID TOQ
+    ENPD
XIXP1 CK SD SDN gen9 D3 D4 TOQ
+    ENPD C0 C1 C2 C3 R128X16M1XP2TO4R
XIXP0 CK SD SDN TID D0 D1 D2
+    gen9 ENPD B0 B1 B2 B3 B4 B5
+    B6 B7 R128X16M1XP3TO8R
.ENDS

.SUBCKT R128X16M1XP2TO4R CK SD SDN TID D0 D1
+    TOQ ENPD XP0 XP1 XP2 XP3
XI01 ENPD Q0 Q0N Q1 VDD XP2 XP3
+    VSST3XPDB00
XI00 ENPD Q0 Q0N Q1N VDD XP0 XP1
+    VSST3XPDB00
XIF1 CK D1 Q1 Q1N SD SDN gen0
+    TOQ VSST3ADFB00
XIF0 CK D0 Q0 Q0N SD SDN TID
+    gen0 VSST3ADFB00
.ENDS

.SUBCKT R128X16M1XP3TO8R CK SD SDN TID D0 D1
+    D2 TOQ ENPD XP0 XP1 XP2 XP3 XP4
+    XP5 XP6 XP7
XI03 ENPD gen4 gen3 gen7 gen8 XP6 XP7
+    VSST3XPDB00
XI02 ENPD gen4 gen3 gen5 gen8 XP4 XP5
+    VSST3XPDB00
XI01 ENPD gen4 gen3 gen7 gen6 XP2 XP3
+    VSST3XPDB00
XI00 ENPD gen4 gen3 gen5 gen6 XP0 XP1
+    VSST3XPDB00
XIF2 CK D2 gen8 gen6 SD SDN gen2
+    TOQ VSST3ADFB00
XIF1 CK D1 gen7 gen5 SD SDN gen1
+    gen2 VSST3ADFB00
XIF0 CK D0 gen4 gen3 SD SDN TID
+    gen1 VSST3ADFB00
.ENDS
