set data style linespoints
set xlabel "selected delay"
set ylabel "diff to strobe delay (ns)"
#set title "Relative output delays to strobe delay for wc, typ and bc operating conditions"
set key outside
set terminal postscript eps color
set output "./OUTPUT/p4_rel.eps"
plot "./REPORTS/p4_wc.txt"  using  ($2-$1) title    "ctrl_wc" 1 2, \
     "./REPORTS/p4_wc.txt"  using  ($2-$3) title "d[9..0]_wc" 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$4) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$5) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$6) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$7) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$8) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using  ($2-$9) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using ($2-$10) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using ($2-$11) notitle 1 1, \
     "./REPORTS/p4_wc.txt"  using ($2-$12) notitle 1 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$1) title    "ctrl_typ" 3 2, \
     "./REPORTS/p4_typ.txt" using  ($2-$3) title "d[9..0]_typ" 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$4) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$5) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$6) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$7) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$8) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using  ($2-$9) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using ($2-$10) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using ($2-$11) notitle 3 1, \
     "./REPORTS/p4_typ.txt" using ($2-$12) notitle 3 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$1) title    "ctrl_bc" 2 2, \
     "./REPORTS/p4_bc.txt"  using  ($2-$3) title "d[9..0]_bc" 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$4) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$5) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$6) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$7) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$8) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using  ($2-$9) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($2-$10) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($2-$11) notitle 2 1, \
     "./REPORTS/p4_bc.txt"  using ($2-$12) notitle 2 1
